Index: main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser.py	(revision 7686)
+++ main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser.py	(revision 7687)
@@ -45,4 +45,5 @@
     ISIRPObject, ILocalRolesAssignable, IExtFileStore, IPDF,
     IFileStoreNameChooser, IPasswordValidator, IUserAccount, ISIRPUtils)
+from waeup.sirp.interfaces import MessageFactory as _
 from waeup.sirp.permissions import get_users_with_local_roles
 from waeup.sirp.students.interfaces import IStudentsUtils
@@ -648,5 +649,5 @@
         """
         allowed_transitions = self.wf_info.getManualTransitions()
-        return [dict(name='', title='No transition')] +[
+        return [dict(name='', title=_('No transition'))] +[
             dict(name=x, title=y) for x, y in allowed_transitions]
 
Index: main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantdisplaypage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantdisplaypage.pt	(revision 7686)
+++ main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantdisplaypage.pt	(revision 7687)
@@ -1,3 +1,3 @@
-<h2> ... <span tal:replace="context/state">Application State</span> ... </h2>
+<h2> ... <span tal:replace="context/translated_state">Application State</span> ... </h2>
 
 <div class="workflow">
Index: main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicanteditpage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicanteditpage.pt	(revision 7686)
+++ main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicanteditpage.pt	(revision 7687)
@@ -2,5 +2,5 @@
       enctype="multipart/form-data">
 
-  <h2> ... <span tal:replace="context/state">Application State</span> ... </h2>
+  <h2> ... <span tal:replace="context/translated_state">Application State</span> ... </h2>
 
   <div class="workflow">
Index: main/waeup.sirp/trunk/src/waeup/sirp/applicants/workflow.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/applicants/workflow.py	(revision 7686)
+++ main/waeup.sirp/trunk/src/waeup/sirp/applicants/workflow.py	(revision 7687)
@@ -19,8 +19,10 @@
 """
 import grok
+from zope.component import getUtility
+from zope.i18n import translate
 from hurry.workflow.workflow import Transition, WorkflowState, NullCondition
 from hurry.workflow.interfaces import IWorkflowState, IWorkflowTransitionEvent
 from waeup.sirp.applicants.interfaces import IApplicantBaseData
-from waeup.sirp.interfaces import IObjectHistory, ISIRPWorkflowInfo
+from waeup.sirp.interfaces import IObjectHistory, ISIRPWorkflowInfo, ISIRPUtils
 from waeup.sirp.interfaces import MessageFactory as _
 from waeup.sirp.workflow import SIRPWorkflow, SIRPWorkflowInfo
@@ -48,14 +50,14 @@
     Transition(
         transition_id = 'init',
-        title = 'Initialize application',
+        title = _('Initialize application'),
         source = None,
         condition = NullCondition,
-        msg = 'Application initialized',
+        msg = _('Application initialized'),
         destination = INITIALIZED),
 
     Transition(
         transition_id = 'start',
-        title = 'Start application',
-        msg = 'Application started',
+        title = _('Start application'),
+        msg = _('Application started'),
         source = INITIALIZED,
         destination = STARTED),
@@ -63,6 +65,6 @@
     Transition(
         transition_id = 'pay',
-        title = 'Pay acceptance fee',
-        msg = 'Fee paid',
+        title = _('Pay acceptance fee'),
+        msg = _('Fee paid'),
         source = STARTED,
         destination = PAID),
@@ -70,6 +72,6 @@
     Transition(
         transition_id = 'submit',
-        title = 'Submit application',
-        msg = 'Application submitted',
+        title = _('Submit application'),
+        msg = _('Application submitted'),
         source = PAID,
         destination = SUBMITTED),
@@ -77,6 +79,6 @@
     Transition(
         transition_id = 'admit',
-        title = 'Admit applicant',
-        msg = 'Applicant admitted',
+        title = _('Admit applicant'),
+        msg = _('Applicant admitted'),
         source = SUBMITTED,
         destination = ADMITTED),
@@ -84,6 +86,6 @@
     Transition(
         transition_id = 'refuse1',
-        title = 'Refuse application',
-        msg = 'Application refused',
+        title = _('Refuse application'),
+        msg = _('Application refused'),
         source = SUBMITTED,
         destination = NOT_ADMITTED),
@@ -91,6 +93,6 @@
     Transition(
         transition_id = 'refuse2',
-        title = 'Refuse application',
-        msg = 'Application refused',
+        title = _('Refuse application'),
+        msg = _('Application refused'),
         source = ADMITTED,
         destination = NOT_ADMITTED),
@@ -98,6 +100,6 @@
     Transition(
         transition_id = 'create',
-        title = 'Create student record',
-        msg = 'Student record created',
+        title = _('Create student record'),
+        msg = _('Student record created'),
         source = ADMITTED,
         destination = CREATED),
@@ -105,6 +107,6 @@
     Transition(
         transition_id = 'reset1',
-        title = 'Reset application to started',
-        msg = 'Application reset',
+        title = _('Reset application to started'),
+        msg = _('Application reset'),
         source = SUBMITTED,
         destination = STARTED),
@@ -112,6 +114,6 @@
     Transition(
         transition_id = 'reset2',
-        title = 'Reset application to started',
-        msg = 'Application reset',
+        title = _('Reset application to started'),
+        msg = _('Application reset'),
         source = ADMITTED,
         destination = STARTED),
@@ -119,6 +121,6 @@
     Transition(
         transition_id = 'reset3',
-        title = 'Reset application to started',
-        msg = 'Application reset',
+        title = _('Reset application to started'),
+        msg = _('Application reset'),
         source = NOT_ADMITTED,
         destination = STARTED),
@@ -126,12 +128,12 @@
     Transition(
         transition_id = 'reset4',
-        title = 'Reset application to started',
-        msg = 'Application reset',
+        title = _('Reset application to started'),
+        msg = _('Application reset'),
         source = CREATED,
         destination = STARTED),
     Transition(
         transition_id = 'reset5',
-        title = 'Reset application to paid',
-        msg = 'Application reset',
+        title = _('Reset application to paid'),
+        msg = _('Application reset'),
         source = SUBMITTED,
         destination = PAID),
@@ -163,5 +165,8 @@
     """Append message to applicant history when transition happened.
     """
-    msg = '%s' % event.transition.user_data['msg']
+    msg = event.transition.user_data['msg']
+    portal_language = getUtility(ISIRPUtils).PORTAL_LANGUAGE
+    if portal_language != 'en':
+        msg = translate(msg,'waeup.sirp',target_language=portal_language)
     history = IObjectHistory(obj)
     history.addMessage(msg)
Index: main/waeup.sirp/trunk/src/waeup/sirp/students/browser.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/students/browser.py	(revision 7686)
+++ main/waeup.sirp/trunk/src/waeup/sirp/students/browser.py	(revision 7687)
@@ -41,4 +41,5 @@
     ISIRPObject, IUserAccount, IExtFileStore, IPasswordValidator, IContactForm,
     ISIRPUtils, IUniversity)
+from waeup.sirp.interfaces import MessageFactory as _
 from waeup.sirp.widgets.datewidget import (
     FriendlyDateWidget, FriendlyDateDisplayWidget,
@@ -341,5 +342,5 @@
         """
         allowed_transitions = self.wf_info.getManualTransitions()
-        return [dict(name='', title='No transition')] +[
+        return [dict(name='', title=_('No transition'))] +[
             dict(name=x, title=y) for x, y in allowed_transitions]
 