Index: /main/waeup.sirp/trunk/src/waeup/sirp/applicants/interfaces.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/applicants/interfaces.py	(revision 7687)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/applicants/interfaces.py	(revision 7688)
@@ -103,7 +103,7 @@
     """
     def getValues(self, context):
-        self.appcats_dict = getUtility(
+        appcats_dict = getUtility(
             IApplicantsUtils).getApplicationTypeDict()
-        return sorted(self.appcats_dict.keys())
+        return sorted(appcats_dict.keys())
 
     def getToken(self, context, value):
@@ -111,5 +111,7 @@
 
     def getTitle(self, context, value):
-        return self.appcats_dict[value][0]
+        appcats_dict = getUtility(
+            IApplicantsUtils).getApplicationTypeDict()
+        return appcats_dict[value][0]
 
 # Maybe Uniben still needs this ...
@@ -119,7 +121,7 @@
 #    """
 #    def getValues(self, context):
-#        self.apppins_dict = getUtility(
+#        apppins_dict = getUtility(
 #            IApplicantsUtils).getApplicationTypeDict()
-#        return sorted(self.appcats_dict.keys())
+#        return sorted(appcats_dict.keys())
 #
 #    def getToken(self, context, value):
@@ -127,6 +129,8 @@
 #
 #    def getTitle(self, context, value):
+#        apppins_dict = getUtility(
+#            IApplicantsUtils).getApplicationTypeDict()
 #        return u"%s (%s)" % (
-#            self.apppins_dict[value][1],self.apppins_dict[value][0])
+#            apppins_dict[value][1],self.apppins_dict[value][0])
 
 class ApplicantContainerProviderSource(BasicSourceFactory):
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/interfaces.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/interfaces.py	(revision 7687)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/interfaces.py	(revision 7688)
@@ -39,6 +39,6 @@
     """
     def getValues(self, context):
-        self.verdicts_dict = getUtility(IStudentsUtils).getVerdictsDict()
-        return self.verdicts_dict.keys()
+        verdicts_dict = getUtility(IStudentsUtils).getVerdictsDict()
+        return verdicts_dict.keys()
 
     def getToken(self, context, value):
@@ -46,5 +46,6 @@
 
     def getTitle(self, context, value):
-        return self.verdicts_dict[value]
+        verdicts_dict = getUtility(IStudentsUtils).getVerdictsDict()
+        return verdicts_dict[value]
 
 
Index: /main/waeup.sirp/trunk/src/waeup/sirp/university/vocabularies.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/university/vocabularies.py	(revision 7687)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/university/vocabularies.py	(revision 7688)
@@ -41,6 +41,6 @@
     """
     def getValues(self, context):
-        self.semesters_dict = getUtility(ISIRPUtils).getSemesterDict()
-        return self.semesters_dict.keys()
+        semesters_dict = getUtility(ISIRPUtils).getSemesterDict()
+        return semesters_dict.keys()
 
     def getToken(self, context, value):
@@ -48,5 +48,6 @@
 
     def getTitle(self, context, value):
-        return self.semesters_dict[value]
+        semesters_dict = getUtility(ISIRPUtils).getSemesterDict()
+        return semesters_dict[value]
 
 class InstTypeSource(BasicContextualSourceFactory):
@@ -55,6 +56,6 @@
     """
     def getValues(self, context):
-        self.insttypes_dict = getUtility(ISIRPUtils).getInstTypeDict()
-        return sorted(self.insttypes_dict.keys())
+        insttypes_dict = getUtility(ISIRPUtils).getInstTypeDict()
+        return sorted(insttypes_dict.keys())
 
     def getToken(self, context, value):
@@ -62,5 +63,6 @@
 
     def getTitle(self, context, value):
-        return self.insttypes_dict[value]
+        insttypes_dict = getUtility(ISIRPUtils).getInstTypeDict()
+        return insttypes_dict[value]
 
 class AppCatSource(BasicContextualSourceFactory):
@@ -69,6 +71,6 @@
     """
     def getValues(self, context):
-        self.appcats_dict = getUtility(ISIRPUtils).getAppCatDict()
-        return sorted(self.appcats_dict.keys())
+        appcats_dict = getUtility(ISIRPUtils).getAppCatDict()
+        return sorted(appcats_dict.keys())
 
     def getToken(self, context, value):
@@ -76,5 +78,6 @@
 
     def getTitle(self, context, value):
-        return self.appcats_dict[value]
+        appcats_dict = getUtility(ISIRPUtils).getAppCatDict()
+        return appcats_dict[value]
 
 class StudyModeSource(BasicContextualSourceFactory):
@@ -83,6 +86,6 @@
     """
     def getValues(self, context):
-        self.studymodes_dict = getUtility(ISIRPUtils).getStudyModesDict()
-        return sorted(self.studymodes_dict.keys())
+        studymodes_dict = getUtility(ISIRPUtils).getStudyModesDict()
+        return sorted(studymodes_dict.keys())
 
     def getToken(self, context, value):
@@ -90,5 +93,6 @@
 
     def getTitle(self, context, value):
-        return self.studymodes_dict[value]
+        studymodes_dict = getUtility(ISIRPUtils).getStudyModesDict()
+        return studymodes_dict[value]
 
 class CourseSource(BasicSourceFactory):