Index: main/waeup.sirp/trunk/src/waeup/sirp/locales/yo/LC_MESSAGES/waeup.sirp.po
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/locales/yo/LC_MESSAGES/waeup.sirp.po	(revision 7680)
+++ main/waeup.sirp/trunk/src/waeup/sirp/locales/yo/LC_MESSAGES/waeup.sirp.po	(revision 7689)
@@ -15,5 +15,5 @@
 msgstr ""
 "Project-Id-Version: WAeUP.SIRP\n"
-"POT-Creation-Date: Wed Feb 22 12:23:01 2012\n"
+"POT-Creation-Date: Thu Feb 23 13:38:29 2012\n"
 "PO-Revision-Date: 2012-02-22 11:28+0100\n"
 "Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
@@ -28,4 +28,40 @@
 "X-Poedit-SourceCharset: utf-8\n"
 
+#: waeup/sirp/accesscodes/workflow.py:100
+msgid "Disable used PIN"
+msgstr ""
+
+#: waeup/sirp/accesscodes/workflow.py:107
+msgid "Reenable disabled PIN"
+msgstr ""
+
+#: waeup/sirp/accesscodes/workflow.py:35 waeup/sirp/applicants/workflow.py:39
+msgid "initialized"
+msgstr ""
+
+#: waeup/sirp/accesscodes/workflow.py:36
+msgid "used"
+msgstr ""
+
+#: waeup/sirp/accesscodes/workflow.py:37
+msgid "disabled"
+msgstr ""
+
+#: waeup/sirp/accesscodes/workflow.py:79
+msgid "Initialize PIN"
+msgstr ""
+
+#: waeup/sirp/accesscodes/workflow.py:86
+msgid "Use PIN"
+msgstr ""
+
+#: waeup/sirp/accesscodes/workflow.py:93
+msgid "Disable unused PIN"
+msgstr ""
+
+#: waeup/sirp/applicants/browser.py:651 waeup/sirp/students/browser.py:344
+msgid "No transition"
+msgstr ""
+
 #. Default: "Acceptance Fee Payment Tickets"
 #: waeup/sirp/applicants/browser_templates/applicanteditpage.pt:88
@@ -42,4 +78,99 @@
 msgstr ""
 
+#: waeup/sirp/applicants/workflow.py:101
+msgid "Create student record"
+msgstr ""
+
+#: waeup/sirp/applicants/workflow.py:102 waeup/sirp/students/workflow.py:26
+msgid "Student record created"
+msgstr ""
+
+#: waeup/sirp/applicants/workflow.py:108 waeup/sirp/applicants/workflow.py:115
+#: waeup/sirp/applicants/workflow.py:122 waeup/sirp/applicants/workflow.py:129
+msgid "Reset application to started"
+msgstr ""
+
+#: waeup/sirp/applicants/workflow.py:109 waeup/sirp/applicants/workflow.py:116
+#: waeup/sirp/applicants/workflow.py:123 waeup/sirp/applicants/workflow.py:130
+#: waeup/sirp/applicants/workflow.py:136
+msgid "Application reset"
+msgstr ""
+
+#: waeup/sirp/applicants/workflow.py:135
+msgid "Reset application to paid"
+msgstr ""
+
+#: waeup/sirp/applicants/workflow.py:40
+msgid "started"
+msgstr ""
+
+#: waeup/sirp/applicants/workflow.py:41
+msgid "paid"
+msgstr ""
+
+#: waeup/sirp/applicants/workflow.py:42
+msgid "submitted"
+msgstr ""
+
+#: waeup/sirp/applicants/workflow.py:43 waeup/sirp/interfaces.py:69
+msgid "admitted"
+msgstr ""
+
+#: waeup/sirp/applicants/workflow.py:44
+msgid "not admitted"
+msgstr ""
+
+#: waeup/sirp/applicants/workflow.py:45 waeup/sirp/interfaces.py:68
+msgid "created"
+msgstr ""
+
+#: waeup/sirp/applicants/workflow.py:51
+msgid "Initialize application"
+msgstr ""
+
+#: waeup/sirp/applicants/workflow.py:54
+msgid "Application initialized"
+msgstr ""
+
+#: waeup/sirp/applicants/workflow.py:59
+msgid "Start application"
+msgstr ""
+
+#: waeup/sirp/applicants/workflow.py:60
+msgid "Application started"
+msgstr ""
+
+#: waeup/sirp/applicants/workflow.py:66
+msgid "Pay acceptance fee"
+msgstr ""
+
+#: waeup/sirp/applicants/workflow.py:67
+msgid "Fee paid"
+msgstr ""
+
+#: waeup/sirp/applicants/workflow.py:73
+msgid "Submit application"
+msgstr ""
+
+#: waeup/sirp/applicants/workflow.py:74
+msgid "Application submitted"
+msgstr ""
+
+#: waeup/sirp/applicants/workflow.py:80
+msgid "Admit applicant"
+msgstr ""
+
+#: waeup/sirp/applicants/workflow.py:81
+msgid "Applicant admitted"
+msgstr ""
+
+#: waeup/sirp/applicants/workflow.py:87 waeup/sirp/applicants/workflow.py:94
+msgid "Refuse application"
+msgstr ""
+
+#: waeup/sirp/applicants/workflow.py:88 waeup/sirp/applicants/workflow.py:95
+msgid "Application refused"
+msgstr ""
+
 #. Default: "Local Roles"
 #: waeup/sirp/browser/templates/facultymanagepage.pt:15
@@ -98,12 +229,4 @@
 msgstr ""
 
-#: waeup/sirp/interfaces.py:68
-msgid "created"
-msgstr ""
-
-#: waeup/sirp/interfaces.py:69
-msgid "admitted"
-msgstr ""
-
 #: waeup/sirp/interfaces.py:70
 msgid "clearance started"
@@ -134,5 +257,5 @@
 msgstr ""
 
-#: waeup/sirp/objecthistory.py:69
+#: waeup/sirp/objecthistory.py:73
 msgid "by"
 msgstr ""
@@ -207,8 +330,4 @@
 msgstr ""
 
-#: waeup/sirp/students/workflow.py:26
-msgid "Student record created"
-msgstr ""
-
 #: waeup/sirp/students/workflow.py:31
 msgid "Admit student"
@@ -284,5 +403,41 @@
 
 #. Default: "Name of faculty"
-#: waeup/sirp/university/interfaces.py:47
+#: waeup/sirp/university/interfaces.py:46
 msgid "name_of_faculty"
 msgstr ""
+
+#: waeup/sirp/university/vocabularies.py:28
+msgid "Pre-Studies"
+msgstr ""
+
+#: waeup/sirp/university/vocabularies.py:29
+msgid "100 (Year 1)"
+msgstr ""
+
+#: waeup/sirp/university/vocabularies.py:30
+msgid "200 (Year 2)"
+msgstr ""
+
+#: waeup/sirp/university/vocabularies.py:31
+msgid "300 (Year 3)"
+msgstr ""
+
+#: waeup/sirp/university/vocabularies.py:32
+msgid "400 (Year 4)"
+msgstr ""
+
+#: waeup/sirp/university/vocabularies.py:33
+msgid "500 (Year 5)"
+msgstr ""
+
+#: waeup/sirp/university/vocabularies.py:34
+msgid "600 (Year 6)"
+msgstr ""
+
+#: waeup/sirp/university/vocabularies.py:35
+msgid "700 (Year 7)"
+msgstr ""
+
+#: waeup/sirp/university/vocabularies.py:36
+msgid "800 (Year 8)"
+msgstr ""