Index: /main/waeup.custom/trunk/src/waeup/custom/locales/de/LC_MESSAGES/waeup.custom.po
===================================================================
--- /main/waeup.custom/trunk/src/waeup/custom/locales/de/LC_MESSAGES/waeup.custom.po	(revision 7697)
+++ /main/waeup.custom/trunk/src/waeup/custom/locales/de/LC_MESSAGES/waeup.custom.po	(revision 7697)
@@ -0,0 +1,73 @@
+# #############################################################################
+#
+# Copyright (c) 2003-2004 Zope Corporation and Contributors.
+# All Rights Reserved.
+#
+# This software is subject to the provisions of the Zope Public License,
+# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
+# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
+# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
+# FOR A PARTICULAR PURPOSE.
+#
+# #############################################################################
+msgid ""
+msgstr ""
+"Project-Id-Version: WAeUP.SIRP\n"
+"POT-Creation-Date: Thu Feb 23 18:36:34 2012\n"
+"PO-Revision-Date: 2012-02-23 18:43+0100\n"
+"Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
+"Language-Team: WAeUP Germany <henrik@waeup.org>\n"
+"Language: de-DE\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Generated-By: zope/app/locales/extract.py\n"
+"X-Poedit-Language: German\n"
+"X-Poedit-Country: GERMANY\n"
+"X-Poedit-SourceCharset: utf-8\n"
+
+#: waeup/custom/browser/theming.py:30
+msgid "Custom Theme 1"
+msgstr "Benutzerdefiniertes Thema 1"
+
+#: waeup/custom/interfaces.py:32
+msgid "School Fee (ignored)"
+msgstr ""
+
+#: waeup/custom/interfaces.py:37
+msgid "Surcharge BT"
+msgstr ""
+
+#: waeup/custom/interfaces.py:42
+msgid "Surcharge Interswitch"
+msgstr ""
+
+#: waeup/custom/interfaces.py:47
+msgid "Surcharge 3"
+msgstr ""
+
+#: waeup/custom/interfaces.py:52
+msgid "Clearance Fee"
+msgstr ""
+
+#: waeup/custom/interfaces.py:57
+msgid "Booking Fee"
+msgstr ""
+
+#: waeup/custom/interfaces.py:62
+msgid "Maintenance Fee"
+msgstr ""
+
+#: waeup/custom/interfaces.py:67
+msgid "Gown Fee"
+msgstr ""
+
+#: waeup/custom/interfaces.py:72
+msgid "Transfer Fee"
+msgstr ""
+
+#: waeup/custom/interfaces.py:86
+msgid "Academic Session"
+msgstr "Akademisches Jahr"
+
Index: /main/waeup.custom/trunk/src/waeup/custom/locales/fr/LC_MESSAGES/waeup.custom.po
===================================================================
--- /main/waeup.custom/trunk/src/waeup/custom/locales/fr/LC_MESSAGES/waeup.custom.po	(revision 7697)
+++ /main/waeup.custom/trunk/src/waeup/custom/locales/fr/LC_MESSAGES/waeup.custom.po	(revision 7697)
@@ -0,0 +1,72 @@
+# #############################################################################
+#
+# Copyright (c) 2003-2004 Zope Corporation and Contributors.
+# All Rights Reserved.
+#
+# This software is subject to the provisions of the Zope Public License,
+# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
+# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
+# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
+# FOR A PARTICULAR PURPOSE.
+#
+# #############################################################################
+msgid ""
+msgstr ""
+"Project-Id-Version: WAeUP.SIRP\n"
+"POT-Creation-Date: Thu Feb 23 18:36:34 2012\n"
+"PO-Revision-Date: 2012-02-22 11:28+0100\n"
+"Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
+"Language-Team: WAeUP Niger <isouaba@waeup.org>\n"
+"Language: fr-FR\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Generated-By: zope/app/locales/extract.py\n"
+"X-Poedit-Language: French\n"
+"X-Poedit-Country: NIGER\n"
+"X-Poedit-SourceCharset: utf-8\n"
+
+#: waeup/custom/browser/theming.py:30
+msgid "Custom Theme 1"
+msgstr ""
+
+#: waeup/custom/interfaces.py:32
+msgid "School Fee (ignored)"
+msgstr ""
+
+#: waeup/custom/interfaces.py:37
+msgid "Surcharge BT"
+msgstr ""
+
+#: waeup/custom/interfaces.py:42
+msgid "Surcharge Interswitch"
+msgstr ""
+
+#: waeup/custom/interfaces.py:47
+msgid "Surcharge 3"
+msgstr ""
+
+#: waeup/custom/interfaces.py:52
+msgid "Clearance Fee"
+msgstr ""
+
+#: waeup/custom/interfaces.py:57
+msgid "Booking Fee"
+msgstr ""
+
+#: waeup/custom/interfaces.py:62
+msgid "Maintenance Fee"
+msgstr ""
+
+#: waeup/custom/interfaces.py:67
+msgid "Gown Fee"
+msgstr ""
+
+#: waeup/custom/interfaces.py:72
+msgid "Transfer Fee"
+msgstr ""
+
+#: waeup/custom/interfaces.py:86
+msgid "Academic Session"
+msgstr ""
Index: /main/waeup.custom/trunk/src/waeup/custom/locales/ha/LC_MESSAGES/waeup.custom.po
===================================================================
--- /main/waeup.custom/trunk/src/waeup/custom/locales/ha/LC_MESSAGES/waeup.custom.po	(revision 7697)
+++ /main/waeup.custom/trunk/src/waeup/custom/locales/ha/LC_MESSAGES/waeup.custom.po	(revision 7697)
@@ -0,0 +1,72 @@
+# #############################################################################
+#
+# Copyright (c) 2003-2004 Zope Corporation and Contributors.
+# All Rights Reserved.
+#
+# This software is subject to the provisions of the Zope Public License,
+# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
+# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
+# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
+# FOR A PARTICULAR PURPOSE.
+#
+# #############################################################################
+msgid ""
+msgstr ""
+"Project-Id-Version: WAeUP.SIRP\n"
+"POT-Creation-Date: Thu Feb 23 18:36:34 2012\n"
+"PO-Revision-Date: 2012-02-22 11:28+0100\n"
+"Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
+"Language-Team: WAeUP Niger <isouaba@waeup.org>\n"
+"Language: ha-NG-Latn\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Generated-By: zope/app/locales/extract.py\n"
+"X-Poedit-Language: Hausa\n"
+"X-Poedit-Country: NIGER\n"
+"X-Poedit-SourceCharset: utf-8\n"
+
+#: waeup/custom/browser/theming.py:30
+msgid "Custom Theme 1"
+msgstr ""
+
+#: waeup/custom/interfaces.py:32
+msgid "School Fee (ignored)"
+msgstr ""
+
+#: waeup/custom/interfaces.py:37
+msgid "Surcharge BT"
+msgstr ""
+
+#: waeup/custom/interfaces.py:42
+msgid "Surcharge Interswitch"
+msgstr ""
+
+#: waeup/custom/interfaces.py:47
+msgid "Surcharge 3"
+msgstr ""
+
+#: waeup/custom/interfaces.py:52
+msgid "Clearance Fee"
+msgstr ""
+
+#: waeup/custom/interfaces.py:57
+msgid "Booking Fee"
+msgstr ""
+
+#: waeup/custom/interfaces.py:62
+msgid "Maintenance Fee"
+msgstr ""
+
+#: waeup/custom/interfaces.py:67
+msgid "Gown Fee"
+msgstr ""
+
+#: waeup/custom/interfaces.py:72
+msgid "Transfer Fee"
+msgstr ""
+
+#: waeup/custom/interfaces.py:86
+msgid "Academic Session"
+msgstr ""
Index: /main/waeup.custom/trunk/src/waeup/custom/locales/yo/LC_MESSAGES/waeup.custom.po
===================================================================
--- /main/waeup.custom/trunk/src/waeup/custom/locales/yo/LC_MESSAGES/waeup.custom.po	(revision 7697)
+++ /main/waeup.custom/trunk/src/waeup/custom/locales/yo/LC_MESSAGES/waeup.custom.po	(revision 7697)
@@ -0,0 +1,72 @@
+# #############################################################################
+#
+# Copyright (c) 2003-2004 Zope Corporation and Contributors.
+# All Rights Reserved.
+#
+# This software is subject to the provisions of the Zope Public License,
+# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
+# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
+# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
+# FOR A PARTICULAR PURPOSE.
+#
+# #############################################################################
+msgid ""
+msgstr ""
+"Project-Id-Version: WAeUP.SIRP\n"
+"POT-Creation-Date: Thu Feb 23 18:36:34 2012\n"
+"PO-Revision-Date: 2012-02-22 11:28+0100\n"
+"Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
+"Language-Team: WAeUP Nigeria <isouaba@waeup.org>\n"
+"Language: yo-NG\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Generated-By: zope/app/locales/extract.py\n"
+"X-Poedit-Language: Yoruba\n"
+"X-Poedit-Country: NIGERIA\n"
+"X-Poedit-SourceCharset: utf-8\n"
+
+#: waeup/custom/browser/theming.py:30
+msgid "Custom Theme 1"
+msgstr ""
+
+#: waeup/custom/interfaces.py:32
+msgid "School Fee (ignored)"
+msgstr ""
+
+#: waeup/custom/interfaces.py:37
+msgid "Surcharge BT"
+msgstr ""
+
+#: waeup/custom/interfaces.py:42
+msgid "Surcharge Interswitch"
+msgstr ""
+
+#: waeup/custom/interfaces.py:47
+msgid "Surcharge 3"
+msgstr ""
+
+#: waeup/custom/interfaces.py:52
+msgid "Clearance Fee"
+msgstr ""
+
+#: waeup/custom/interfaces.py:57
+msgid "Booking Fee"
+msgstr ""
+
+#: waeup/custom/interfaces.py:62
+msgid "Maintenance Fee"
+msgstr ""
+
+#: waeup/custom/interfaces.py:67
+msgid "Gown Fee"
+msgstr ""
+
+#: waeup/custom/interfaces.py:72
+msgid "Transfer Fee"
+msgstr ""
+
+#: waeup/custom/interfaces.py:86
+msgid "Academic Session"
+msgstr ""