Index: /main/waeup.custom/trunk/src/waeup/custom/locales/fr/LC_MESSAGES/waeup.custom.po
===================================================================
--- /main/waeup.custom/trunk/src/waeup/custom/locales/fr/LC_MESSAGES/waeup.custom.po	(revision 7698)
+++ /main/waeup.custom/trunk/src/waeup/custom/locales/fr/LC_MESSAGES/waeup.custom.po	(revision 7699)
@@ -16,5 +16,5 @@
 "Project-Id-Version: WAeUP.SIRP\n"
 "POT-Creation-Date: Thu Feb 23 18:36:34 2012\n"
-"PO-Revision-Date: 2012-02-22 11:28+0100\n"
+"PO-Revision-Date: 2012-02-23 21:27+0100\n"
 "Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
 "Language-Team: WAeUP Niger <isouaba@waeup.org>\n"
@@ -71,2 +71,3 @@
 msgid "Academic Session"
 msgstr ""
+
Index: /main/waeup.custom/trunk/src/waeup/custom/locales/ha/LC_MESSAGES/waeup.custom.po
===================================================================
--- /main/waeup.custom/trunk/src/waeup/custom/locales/ha/LC_MESSAGES/waeup.custom.po	(revision 7698)
+++ /main/waeup.custom/trunk/src/waeup/custom/locales/ha/LC_MESSAGES/waeup.custom.po	(revision 7699)
@@ -16,5 +16,5 @@
 "Project-Id-Version: WAeUP.SIRP\n"
 "POT-Creation-Date: Thu Feb 23 18:36:34 2012\n"
-"PO-Revision-Date: 2012-02-22 11:28+0100\n"
+"PO-Revision-Date: 2012-02-23 21:27+0100\n"
 "Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
 "Language-Team: WAeUP Niger <isouaba@waeup.org>\n"
@@ -71,2 +71,3 @@
 msgid "Academic Session"
 msgstr ""
+
Index: /main/waeup.custom/trunk/src/waeup/custom/locales/ha/LC_MESSAGES/waeup.sirp.po
===================================================================
--- /main/waeup.custom/trunk/src/waeup/custom/locales/ha/LC_MESSAGES/waeup.sirp.po	(revision 7699)
+++ /main/waeup.custom/trunk/src/waeup/custom/locales/ha/LC_MESSAGES/waeup.sirp.po	(revision 7699)
@@ -0,0 +1,29 @@
+# #############################################################################
+#
+# Copyright (c) 2003-2004 Zope Corporation and Contributors.
+# All Rights Reserved.
+#
+# This software is subject to the provisions of the Zope Public License,
+# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
+# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
+# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
+# FOR A PARTICULAR PURPOSE.
+#
+# #############################################################################
+msgid ""
+msgstr ""
+"Project-Id-Version: WAeUP.SIRP\n"
+"POT-Creation-Date: Thu Feb 23 16:34:27 2012\n"
+"PO-Revision-Date: 2012-02-23 21:32+0100\n"
+"Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
+"Language-Team: WAeUP Niger <isouaba@waeup.org>\n"
+"Language: ha-NG-Latn\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Generated-By: zope/app/locales/extract.py\n"
+"X-Poedit-Language: Hausa\n"
+"X-Poedit-Country: NIGER\n"
+"X-Poedit-SourceCharset: utf-8\n"
+
Index: /main/waeup.custom/trunk/src/waeup/custom/locales/yo/LC_MESSAGES/waeup.custom.po
===================================================================
--- /main/waeup.custom/trunk/src/waeup/custom/locales/yo/LC_MESSAGES/waeup.custom.po	(revision 7698)
+++ /main/waeup.custom/trunk/src/waeup/custom/locales/yo/LC_MESSAGES/waeup.custom.po	(revision 7699)
@@ -16,5 +16,5 @@
 "Project-Id-Version: WAeUP.SIRP\n"
 "POT-Creation-Date: Thu Feb 23 18:36:34 2012\n"
-"PO-Revision-Date: 2012-02-22 11:28+0100\n"
+"PO-Revision-Date: 2012-02-23 21:27+0100\n"
 "Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
 "Language-Team: WAeUP Nigeria <isouaba@waeup.org>\n"
@@ -71,2 +71,3 @@
 msgid "Academic Session"
 msgstr ""
+
Index: /main/waeup.custom/trunk/src/waeup/custom/locales/yo/LC_MESSAGES/waeup.sirp.po
===================================================================
--- /main/waeup.custom/trunk/src/waeup/custom/locales/yo/LC_MESSAGES/waeup.sirp.po	(revision 7699)
+++ /main/waeup.custom/trunk/src/waeup/custom/locales/yo/LC_MESSAGES/waeup.sirp.po	(revision 7699)
@@ -0,0 +1,29 @@
+# #############################################################################
+#
+# Copyright (c) 2003-2004 Zope Corporation and Contributors.
+# All Rights Reserved.
+#
+# This software is subject to the provisions of the Zope Public License,
+# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
+# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
+# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
+# FOR A PARTICULAR PURPOSE.
+#
+# #############################################################################
+msgid ""
+msgstr ""
+"Project-Id-Version: WAeUP.SIRP\n"
+"POT-Creation-Date: Thu Feb 23 16:34:27 2012\n"
+"PO-Revision-Date: 2012-02-23 21:33+0100\n"
+"Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
+"Language-Team: WAeUP Nigeria <isouaba@waeup.org>\n"
+"Language: yo-NG\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Generated-By: zope/app/locales/extract.py\n"
+"X-Poedit-Language: Yoruba\n"
+"X-Poedit-Country: NIGERIA\n"
+"X-Poedit-SourceCharset: utf-8\n"
+