Index: main/waeup.sirp/trunk/src/waeup/sirp/locales/de/LC_MESSAGES/waeup.sirp.po
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/locales/de/LC_MESSAGES/waeup.sirp.po	(revision 7689)
+++ main/waeup.sirp/trunk/src/waeup/sirp/locales/de/LC_MESSAGES/waeup.sirp.po	(revision 7700)
@@ -15,6 +15,6 @@
 msgstr ""
 "Project-Id-Version: WAeUP.SIRP\n"
-"POT-Creation-Date: Thu Feb 23 13:38:29 2012\n"
-"PO-Revision-Date: 2012-02-23 13:41+0100\n"
+"POT-Creation-Date: Fri Feb 24 23:24:12 2012\n"
+"PO-Revision-Date: 2012-02-24 23:27+0100\n"
 "Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
 "Language-Team: WAeUP Germany <henrik@waeup.org>\n"
@@ -37,5 +37,5 @@
 
 #: waeup/sirp/accesscodes/workflow.py:35
-#: waeup/sirp/applicants/workflow.py:39
+#: waeup/sirp/applicants/workflow.py:37
 msgid "initialized"
 msgstr "initialisiert"
@@ -72,115 +72,497 @@
 msgstr "Zullassungsgebühr-Ticket"
 
-#: waeup/sirp/applicants/viewlets.py:45
+#: waeup/sirp/applicants/viewlets.py:44
 msgid "Applicants"
 msgstr "Antragsteller"
 
-#: waeup/sirp/applicants/viewlets.py:58
+#: waeup/sirp/applicants/viewlets.py:57
 msgid "Application"
 msgstr "Beantragung"
 
-#: waeup/sirp/applicants/workflow.py:101
-msgid "Create student record"
-msgstr "Erzeuge Studenten"
-
-#: waeup/sirp/applicants/workflow.py:102
-#: waeup/sirp/students/workflow.py:26
+#: waeup/sirp/applicants/workflow.py:100
+#: waeup/sirp/students/workflow.py:25
 msgid "Student record created"
 msgstr "Student erzeugt"
 
-#: waeup/sirp/applicants/workflow.py:108
-#: waeup/sirp/applicants/workflow.py:115
-#: waeup/sirp/applicants/workflow.py:122
-#: waeup/sirp/applicants/workflow.py:129
+#: waeup/sirp/applicants/workflow.py:106
+#: waeup/sirp/applicants/workflow.py:113
+#: waeup/sirp/applicants/workflow.py:120
+#: waeup/sirp/applicants/workflow.py:127
 msgid "Reset application to started"
 msgstr "Setze Antrag zurück"
 
-#: waeup/sirp/applicants/workflow.py:109
-#: waeup/sirp/applicants/workflow.py:116
-#: waeup/sirp/applicants/workflow.py:123
-#: waeup/sirp/applicants/workflow.py:130
-#: waeup/sirp/applicants/workflow.py:136
+#: waeup/sirp/applicants/workflow.py:107
+#: waeup/sirp/applicants/workflow.py:114
+#: waeup/sirp/applicants/workflow.py:121
+#: waeup/sirp/applicants/workflow.py:128
+#: waeup/sirp/applicants/workflow.py:134
 msgid "Application reset"
 msgstr "Antrag zurückgesetzt"
 
-#: waeup/sirp/applicants/workflow.py:135
+#: waeup/sirp/applicants/workflow.py:133
 msgid "Reset application to paid"
 msgstr "Setze Antrag zurück auf 'Gebühren bezahlt'"
 
-#: waeup/sirp/applicants/workflow.py:40
+#: waeup/sirp/applicants/workflow.py:38
 msgid "started"
 msgstr "gestarted"
 
-#: waeup/sirp/applicants/workflow.py:41
+#: waeup/sirp/applicants/workflow.py:39
 msgid "paid"
 msgstr "bezahlt"
 
-#: waeup/sirp/applicants/workflow.py:42
+#: waeup/sirp/applicants/workflow.py:40
 msgid "submitted"
 msgstr "zugelassen"
 
-#: waeup/sirp/applicants/workflow.py:43
+#: waeup/sirp/applicants/workflow.py:41
 #: waeup/sirp/interfaces.py:69
 msgid "admitted"
 msgstr "zugelassen"
 
-#: waeup/sirp/applicants/workflow.py:44
+#: waeup/sirp/applicants/workflow.py:42
 msgid "not admitted"
 msgstr "nicht zugelassen"
 
-#: waeup/sirp/applicants/workflow.py:45
+#: waeup/sirp/applicants/workflow.py:43
 #: waeup/sirp/interfaces.py:68
 msgid "created"
 msgstr "neu"
 
-#: waeup/sirp/applicants/workflow.py:51
+#: waeup/sirp/applicants/workflow.py:49
 msgid "Initialize application"
 msgstr "Initialisiere Antrag"
 
-#: waeup/sirp/applicants/workflow.py:54
+#: waeup/sirp/applicants/workflow.py:52
 msgid "Application initialized"
 msgstr "Antrag initialisiert"
 
-#: waeup/sirp/applicants/workflow.py:59
+#: waeup/sirp/applicants/workflow.py:57
 msgid "Start application"
 msgstr "Starte Antragsvorgang"
 
-#: waeup/sirp/applicants/workflow.py:60
+#: waeup/sirp/applicants/workflow.py:58
 msgid "Application started"
 msgstr "Antragsvorgang gestartet"
 
-#: waeup/sirp/applicants/workflow.py:66
+#: waeup/sirp/applicants/workflow.py:64
 msgid "Pay acceptance fee"
 msgstr "Zahle Gebühr"
 
-#: waeup/sirp/applicants/workflow.py:67
+#: waeup/sirp/applicants/workflow.py:65
 msgid "Fee paid"
 msgstr "Gebühr bezahlt"
 
-#: waeup/sirp/applicants/workflow.py:73
+#: waeup/sirp/applicants/workflow.py:71
 msgid "Submit application"
 msgstr "Reiche Antrag ein"
 
-#: waeup/sirp/applicants/workflow.py:74
+#: waeup/sirp/applicants/workflow.py:72
 msgid "Application submitted"
 msgstr "Antrag eingereicht"
 
-#: waeup/sirp/applicants/workflow.py:80
+#: waeup/sirp/applicants/workflow.py:78
 msgid "Admit applicant"
 msgstr "Lasse Antragsteller zu"
 
-#: waeup/sirp/applicants/workflow.py:81
+#: waeup/sirp/applicants/workflow.py:79
 msgid "Applicant admitted"
 msgstr "Antragsteller zugelassen"
 
-#: waeup/sirp/applicants/workflow.py:87
-#: waeup/sirp/applicants/workflow.py:94
+#: waeup/sirp/applicants/workflow.py:85
+#: waeup/sirp/applicants/workflow.py:92
 msgid "Refuse application"
 msgstr "Lehne Antrag ab"
 
-#: waeup/sirp/applicants/workflow.py:88
-#: waeup/sirp/applicants/workflow.py:95
+#: waeup/sirp/applicants/workflow.py:86
+#: waeup/sirp/applicants/workflow.py:93
 msgid "Application refused"
 msgstr "Antrag abgelehnt"
+
+#: waeup/sirp/applicants/workflow.py:99
+msgid "Create student record"
+msgstr "Erzeuge Studenten"
+
+#: waeup/sirp/browser/breadcrumbs.py:104
+msgid "Portal Settings"
+msgstr "Portaleinstellungen"
+
+#: waeup/sirp/browser/breadcrumbs.py:116
+#: waeup/sirp/browser/viewlets.py:681
+msgid "Academics"
+msgstr "Akademie"
+
+#: waeup/sirp/browser/breadcrumbs.py:123
+#: waeup/sirp/browser/pages.py:302
+msgid "Administration"
+msgstr "Verwaltung"
+
+#: waeup/sirp/browser/breadcrumbs.py:130
+msgid "Portal Configuration"
+msgstr "Portalkonfiguration"
+
+#: waeup/sirp/browser/breadcrumbs.py:148
+#: waeup/sirp/browser/pages.py:379
+msgid "Portal Users"
+msgstr "Benutzer"
+
+#: waeup/sirp/browser/breadcrumbs.py:155
+#: waeup/sirp/browser/pages.py:740
+#: waeup/sirp/browser/pages.py:1117
+msgid "Data Center"
+msgstr "Datenzentrum"
+
+#: waeup/sirp/browser/breadcrumbs.py:90
+msgid "Home"
+msgstr "Home"
+
+#. Default: ""
+#: waeup/sirp/browser/pages.py:103
+msgid "Local role successfully removed: ${a}"
+msgstr "Lokale Rolle erfolgreich entfernt: ${a}"
+
+#. Default: ""
+#: waeup/sirp/browser/pages.py:1087
+msgid "Processing of ${a} rows failed."
+msgstr "Bearbeitung von ${a} Zeilen fehlgeschlagen."
+
+#. Default: ""
+#: waeup/sirp/browser/pages.py:1089
+msgid "Successfully processed ${a} rows."
+msgstr "${a} Zeilen erfolgreich verarbeitet."
+
+#: waeup/sirp/browser/pages.py:1097
+msgid "Show logfiles"
+msgstr "Zeige Logdateien"
+
+#: waeup/sirp/browser/pages.py:113
+msgid "No item selected."
+msgstr "Nichts ausgewählt."
+
+#: waeup/sirp/browser/pages.py:1139
+msgid "Edit data center settings"
+msgstr "Bearbeite Einstellungen des Datenzentrums"
+
+#: waeup/sirp/browser/pages.py:1156
+msgid "File already existed (not copied):"
+msgstr "Datei existiert (nicht kopiert):"
+
+#: waeup/sirp/browser/pages.py:1158
+msgid "Given storage path cannot be used."
+msgstr "Der Datenpfad kann nicht verwendet werden."
+
+#: waeup/sirp/browser/pages.py:1159
+msgid "Error:"
+msgstr "Fehler:"
+
+#: waeup/sirp/browser/pages.py:1162
+msgid "New storage path succefully set."
+msgstr "Neuen Datenpfad erfolgreich gesetzt."
+
+#: waeup/sirp/browser/pages.py:1222
+msgid "Academic Section"
+msgstr "Akademie"
+
+#: waeup/sirp/browser/pages.py:1234
+#: waeup/sirp/browser/pages.py:1250
+#: waeup/sirp/browser/pages.py:1267
+#: waeup/sirp/browser/pages.py:1271
+msgid "Add faculty"
+msgstr "Füge Fakultät hinzu"
+
+#: waeup/sirp/browser/pages.py:1235
+msgid "Faculties"
+msgstr "Fakultäten"
+
+#: waeup/sirp/browser/pages.py:1239
+msgid "Manage academic section"
+msgstr "Bearbeite Akademie"
+
+#: waeup/sirp/browser/pages.py:1278
+msgid "The faculty code chosen already exists."
+msgstr "Das Fakultätskürzel existiert bereits."
+
+#: waeup/sirp/browser/pages.py:1299
+#: waeup/sirp/browser/pages.py:1309
+msgid "Departments"
+msgstr "Departments"
+
+#: waeup/sirp/browser/pages.py:1311
+#: waeup/sirp/browser/pages.py:1362
+#: waeup/sirp/browser/pages.py:1381
+#: waeup/sirp/browser/pages.py:1385
+msgid "Add department"
+msgstr "Füge Department hinzu"
+
+#: waeup/sirp/browser/pages.py:1312
+#: waeup/sirp/browser/pages.py:1371
+#: waeup/sirp/browser/pages.py:1481
+#: waeup/sirp/browser/pages.py:1567
+msgid "Remove selected local roles"
+msgstr "Ausgewählte lokale Rollen  löschen"
+
+#: waeup/sirp/browser/pages.py:1313
+#: waeup/sirp/browser/pages.py:1367
+#: waeup/sirp/browser/pages.py:1482
+#: waeup/sirp/browser/pages.py:1563
+msgid "Add local role"
+msgstr "Lokale Rolle hinzufügen"
+
+#: waeup/sirp/browser/pages.py:1319
+msgid "Manage faculty"
+msgstr "Bearbeite Fakultät"
+
+#. Default: ""
+#: waeup/sirp/browser/pages.py:134
+msgid "Successfully removed: ${a}"
+msgstr "Erfolgreich entfernt: ${a}"
+
+#: waeup/sirp/browser/pages.py:1354
+msgid "Form has been saved."
+msgstr "Das Formular wurde gespeichert."
+
+#: waeup/sirp/browser/pages.py:1392
+msgid "The code chosen already exists in this faculty."
+msgstr "Das Kürzel existiert bereits in dieser Fakultät."
+
+#. Default: ""
+#: waeup/sirp/browser/pages.py:1395
+msgid "Department ${a} added."
+msgstr "Department ${a} hinzugefügt."
+
+#: waeup/sirp/browser/pages.py:1412
+msgid "Courses and Certificates"
+msgstr "Kurse und Zertifikate"
+
+#: waeup/sirp/browser/pages.py:1442
+#: waeup/sirp/browser/pages.py:1461
+#: waeup/sirp/students/viewlets.py:466
+msgid "Students"
+msgstr "Studenten"
+
+#: waeup/sirp/browser/pages.py:1478
+#: waeup/sirp/browser/pages.py:1536
+msgid "Remove selected courses"
+msgstr "Ausgewählte Kurse  löschen"
+
+#: waeup/sirp/browser/pages.py:1478
+#: waeup/sirp/browser/pages.py:1548
+msgid "Add course"
+msgstr "Kurs hinzufügen"
+
+#: waeup/sirp/browser/pages.py:1479
+#: waeup/sirp/browser/pages.py:1542
+msgid "Remove selected certificates"
+msgstr "Ausgewählte Zertifikate löschen"
+
+#: waeup/sirp/browser/pages.py:1479
+#: waeup/sirp/browser/pages.py:1553
+msgid "Add certificate"
+msgstr "Füge Zertifikat hinzu."
+
+#: waeup/sirp/browser/pages.py:1488
+msgid "Manage department"
+msgstr "Bearbeite Department"
+
+#: waeup/sirp/browser/pages.py:152
+#: waeup/sirp/browser/templates/staffsitelayout.pt:28
+#: waeup/sirp/browser/templates/studentsitelayout.pt:33
+msgid "Login"
+msgstr "Einloggen"
+
+#: waeup/sirp/browser/pages.py:159
+msgid "You logged in."
+msgstr "Sie sind jetzt eingeloggt."
+
+#: waeup/sirp/browser/pages.py:177
+msgid "You entered wrong credentials."
+msgstr "Sie haben falsche Zugangsdaten eingegeben."
+
+#: waeup/sirp/browser/pages.py:191
+msgid "You have been logged out. Thanks for using WAeUP SIRP!"
+msgstr "Sie wurden ausgeloggt. Danke dass Sie WAeUP Kofa benutzt haben."
+
+#. Default: ""
+#: waeup/sirp/browser/pages.py:227
+msgid "Contact ${a}"
+msgstr "Kontaktiere ${a}"
+
+#: waeup/sirp/browser/pages.py:233
+#: waeup/sirp/browser/pages.py:510
+msgid "Send message now"
+msgstr "Jetzt senden"
+
+#: waeup/sirp/browser/pages.py:252
+#: waeup/sirp/browser/pages.py:271
+#: waeup/sirp/browser/pages.py:527
+msgid "Your message has been sent."
+msgstr "Ihre Nachricht wurde verschickt."
+
+#: waeup/sirp/browser/pages.py:262
+msgid "Send now"
+msgstr "Sende jetzt"
+
+#: waeup/sirp/browser/pages.py:273
+msgid "A smtp server error occurred."
+msgstr "Es trat ein smtp-Serverfehler auf."
+
+#. Default: ""
+#: waeup/sirp/browser/pages.py:386
+msgid "User account ${a} successfully deleted."
+msgstr "Benutzerkonto ${a} erfolgreich gelöscht."
+
+#: waeup/sirp/browser/pages.py:417
+#: waeup/sirp/browser/pages.py:419
+msgid "Add user"
+msgstr "Benutzer hinzufügen"
+
+#. Default: ""
+#: waeup/sirp/browser/pages.py:441
+msgid "User account ${a} successfully added."
+msgstr "Benutzerkonto ${a} erfolgreich hinzugefügt."
+
+#. Default: ""
+#: waeup/sirp/browser/pages.py:460
+msgid "Edit user ${a}"
+msgstr "Bearbeite Benutzer"
+
+#: waeup/sirp/browser/pages.py:467
+#: waeup/sirp/browser/pages.py:621
+#: waeup/sirp/browser/pages.py:720
+#: waeup/sirp/browser/pages.py:1310
+#: waeup/sirp/browser/pages.py:1477
+#: waeup/sirp/browser/pages.py:1530
+msgid "Save"
+msgstr "Speichern"
+
+#: waeup/sirp/browser/pages.py:491
+msgid "User settings have been saved."
+msgstr "Benutzereinstellungen wurden gespeichert."
+
+#: waeup/sirp/browser/pages.py:494
+#: waeup/sirp/browser/pages.py:700
+#: waeup/sirp/browser/pages.py:727
+#: waeup/sirp/browser/pages.py:1234
+#: waeup/sirp/browser/pages.py:1255
+#: waeup/sirp/browser/pages.py:1282
+#: waeup/sirp/browser/pages.py:1310
+#: waeup/sirp/browser/pages.py:1311
+#: waeup/sirp/browser/pages.py:1357
+#: waeup/sirp/browser/pages.py:1398
+#: waeup/sirp/browser/pages.py:1477
+#: waeup/sirp/browser/pages.py:1478
+#: waeup/sirp/browser/pages.py:1480
+#: waeup/sirp/browser/pages.py:1558
+msgid "Cancel"
+msgstr "Abbruch"
+
+#. Default: ""
+#: waeup/sirp/browser/pages.py:508
+msgid "Send message to ${a}"
+msgstr "Sende Nachricht an ${a}"
+
+#: waeup/sirp/browser/pages.py:537
+msgid "My Preferences"
+msgstr "Meine Präferenzen"
+
+#: waeup/sirp/browser/pages.py:550
+msgid "My Roles"
+msgstr "Meine Rollen"
+
+#: waeup/sirp/browser/pages.py:581
+msgid "Search Academic Section"
+msgstr "Durchsuche Akademie"
+
+#: waeup/sirp/browser/pages.py:607
+msgid "View portal configuration"
+msgstr "Betrachte Portal-Konfiguration"
+
+#: waeup/sirp/browser/pages.py:620
+msgid "Edit portal configuration"
+msgstr "Bearbeite Portalkonfiguration"
+
+#: waeup/sirp/browser/pages.py:621
+#: waeup/sirp/browser/pages.py:672
+msgid "Update plugins"
+msgstr "Aktualisiere Plugins"
+
+#: waeup/sirp/browser/pages.py:623
+#: waeup/sirp/browser/pages.py:653
+#: waeup/sirp/browser/pages.py:684
+msgid "Add session configuration"
+msgstr "Füge Session-Konfiguration hinzu"
+
+#: waeup/sirp/browser/pages.py:624
+#: waeup/sirp/browser/pages.py:667
+#: waeup/sirp/browser/pages.py:1234
+#: waeup/sirp/browser/pages.py:1245
+#: waeup/sirp/browser/pages.py:1311
+#: waeup/sirp/browser/pages.py:1346
+msgid "Remove selected"
+msgstr "Ausgewählte Objekte löschen"
+
+#: waeup/sirp/browser/pages.py:650
+#: waeup/sirp/browser/pages.py:723
+msgid "Settings have been saved."
+msgstr "Einstellungen wurden gespeichert."
+
+#. Default: ""
+#: waeup/sirp/browser/pages.py:664
+msgid "Session ${a} Configuration"
+msgstr "Session ${a}-Konfiguration"
+
+#: waeup/sirp/browser/pages.py:675
+msgid "Plugins were updated. See log file for details."
+msgstr "Plugins wurden aktualisiert, siehe Logdatei."
+
+#: waeup/sirp/browser/pages.py:688
+msgid "Add Session Configuration"
+msgstr "Füge Session-Konfiguration hinzu"
+
+#: waeup/sirp/browser/pages.py:695
+msgid "The session chosen already exists."
+msgstr "Die Session existiert bereits."
+
+#. Default: ""
+#: waeup/sirp/browser/pages.py:717
+msgid "Edit academic session ${a} configuration"
+msgstr "Bearbeite Session ${a}-Konfiguration"
+
+#: waeup/sirp/browser/pages.py:747
+msgid "Upload file"
+msgstr "Datei hochladen"
+
+#: waeup/sirp/browser/pages.py:793
+#: waeup/sirp/browser/pages.py:822
+#: waeup/sirp/browser/pages.py:939
+#: waeup/sirp/browser/pages.py:1042
+msgid "Process CSV file"
+msgstr "Verarbeite CSF-Datei"
+
+#: waeup/sirp/browser/pages.py:806
+#: waeup/sirp/browser/pages.py:904
+#: waeup/sirp/browser/pages.py:1018
+msgid "Import aborted."
+msgstr "Import abgebrochen."
+
+#: waeup/sirp/browser/pages.py:83
+msgid "No local role selected."
+msgstr "Keine lokalen Rollen ausgewählt."
+
+#: waeup/sirp/browser/pages.py:883
+msgid "Double headers: each column name may only appear once. "
+msgstr "Doppelte Spaltenüberschrift"
+
+#: waeup/sirp/browser/pages.py:891
+msgid "Replace imported file!"
+msgstr "Tauschen Sie die Importdatei aus!"
+
+#: waeup/sirp/browser/pages.py:916
+msgid "Update mode only!"
+msgstr "Nur Aktualisierungsmodus!"
+
+#: waeup/sirp/browser/pages.py:997
+msgid "Edit headers or replace imported file!"
+msgstr "Bearbeiten Sie die Spaltenüberschrift oder tauschen Sie die  Importdatei aus."
 
 #. Default: "Local Roles"
@@ -213,9 +595,4 @@
 msgstr "Meine lokalen Rollen:"
 
-#: waeup/sirp/browser/templates/staffsitelayout.pt:28
-#: waeup/sirp/browser/templates/studentsitelayout.pt:33
-msgid "Login"
-msgstr "Einloggen"
-
 #: waeup/sirp/browser/templates/staffsitelayout.pt:34
 #: waeup/sirp/browser/templates/studentsitelayout.pt:39
@@ -228,13 +605,9 @@
 msgstr "Ausloggen"
 
-#: waeup/sirp/browser/viewlets.py:682
-msgid "Academics"
-msgstr "Akademie"
-
-#: waeup/sirp/browser/viewlets.py:697
+#: waeup/sirp/browser/viewlets.py:696
 msgid "Enquiries"
 msgstr "Anfragen"
 
-#: waeup/sirp/hostels/browser.py:68
+#: waeup/sirp/hostels/browser.py:67
 msgid "Hostels"
 msgstr "Wohnheime"
@@ -285,140 +658,174 @@
 msgstr "Max. Dateigröße:"
 
-#: waeup/sirp/students/viewlets.py:467
-msgid "Students"
-msgstr "Studenten"
-
-#: waeup/sirp/students/workflow.py:108
+#: waeup/sirp/students/vocabularies.py:135
+msgid "Male"
+msgstr "männlich"
+
+#: waeup/sirp/students/vocabularies.py:137
+msgid "Female"
+msgstr "weiblich"
+
+#. Default: ""
+#: waeup/sirp/students/vocabularies.py:77
+msgid "Error: level id ${value} out of range"
+msgstr "Fehler: level_id ${value} nicht verfügbar"
+
+#. Default: ""
+#: waeup/sirp/students/vocabularies.py:88
+msgid "${title} 2nd spillover"
+msgstr "${title} / 2. Nachholen"
+
+#. Default: ""
+#: waeup/sirp/students/vocabularies.py:91
+msgid "${title} 3rd spillover"
+msgstr "${title} / 3. Nachholen"
+
+#. Default: ""
+#: waeup/sirp/students/vocabularies.py:94
+msgid "${title} 1st spillover"
+msgstr "${title} / 1. Nachholen"
+
+#. Default: ""
+#: waeup/sirp/students/vocabularies.py:96
+msgid "${title} on 1st probation"
+msgstr "${title} / 1. Wiederholung"
+
+#. Default: ""
+#: waeup/sirp/students/vocabularies.py:98
+msgid "${title} on 2nd probation"
+msgstr "${title} / 2. Wiederholung"
+
+#: waeup/sirp/students/workflow.py:107
 msgid "Reset to returning"
 msgstr "Setze zurück auf 'rückgemeldet'"
 
-#: waeup/sirp/students/workflow.py:109
+#: waeup/sirp/students/workflow.py:108
 msgid "Student record reset to 'returning'"
 msgstr "Student zurückgesetzt auf 'rückgemeldet'"
 
-#: waeup/sirp/students/workflow.py:115
+#: waeup/sirp/students/workflow.py:114
 msgid "Register courses"
 msgstr "Registriere Kurse"
 
-#: waeup/sirp/students/workflow.py:116
+#: waeup/sirp/students/workflow.py:115
 msgid "Courses registered"
 msgstr "Kurse registriert"
 
+#: waeup/sirp/students/workflow.py:121
+#: waeup/sirp/students/workflow.py:135
+msgid "Reset to paid"
+msgstr "Setze zurück auf 'Gebühren bezahlt'"
+
 #: waeup/sirp/students/workflow.py:122
 #: waeup/sirp/students/workflow.py:136
-msgid "Reset to paid"
-msgstr "Setze zurück auf 'Gebühren bezahlt'"
-
-#: waeup/sirp/students/workflow.py:123
-#: waeup/sirp/students/workflow.py:137
 msgid "Student record reset to 'paid'"
 msgstr "Student zurückgesetzt auf 'Gebühren bezahlt'"
 
-#: waeup/sirp/students/workflow.py:129
+#: waeup/sirp/students/workflow.py:128
 msgid "Validate courses"
 msgstr "Validiere Kurse"
 
-#: waeup/sirp/students/workflow.py:130
+#: waeup/sirp/students/workflow.py:129
 msgid "Courses validated"
 msgstr "Kurse validiert"
 
-#: waeup/sirp/students/workflow.py:143
+#: waeup/sirp/students/workflow.py:142
 msgid "Return"
 msgstr "Melde zurück"
 
-#: waeup/sirp/students/workflow.py:144
+#: waeup/sirp/students/workflow.py:143
 msgid "Returned"
 msgstr "rückgemeldet"
 
-#: waeup/sirp/students/workflow.py:150
+#: waeup/sirp/students/workflow.py:149
 msgid "Reset to validated"
 msgstr "Setze zurück auf 'Kurse validiert'"
 
-#: waeup/sirp/students/workflow.py:151
+#: waeup/sirp/students/workflow.py:150
 msgid "Student record reset to 'validated'"
 msgstr "Student zurückgesetzt auf 'Kurse validiert'"
 
-#: waeup/sirp/students/workflow.py:23
+#: waeup/sirp/students/workflow.py:22
 msgid "Create student"
 msgstr "Erzeuge Studenten"
 
-#: waeup/sirp/students/workflow.py:31
+#: waeup/sirp/students/workflow.py:30
 msgid "Admit student"
 msgstr "Student zulassen"
 
-#: waeup/sirp/students/workflow.py:32
+#: waeup/sirp/students/workflow.py:31
 msgid "Student admitted"
 msgstr "Student zugelassen"
 
-#: waeup/sirp/students/workflow.py:38
+#: waeup/sirp/students/workflow.py:37
 msgid "Reset student"
 msgstr "Setze zurück"
 
-#: waeup/sirp/students/workflow.py:39
+#: waeup/sirp/students/workflow.py:38
 msgid "Student record reset"
 msgstr "Student zurückgesetzt"
 
-#: waeup/sirp/students/workflow.py:45
+#: waeup/sirp/students/workflow.py:44
 msgid "Start clearance"
 msgstr "Starte Einschreibung"
 
-#: waeup/sirp/students/workflow.py:46
+#: waeup/sirp/students/workflow.py:45
 msgid "Clearance started"
 msgstr "Einschreibung begonnen"
 
-#: waeup/sirp/students/workflow.py:52
+#: waeup/sirp/students/workflow.py:51
 msgid "Reset to admitted"
 msgstr "Setze zurück auf 'zugelassen'"
 
-#: waeup/sirp/students/workflow.py:53
+#: waeup/sirp/students/workflow.py:52
 msgid "Student record reset to 'admitted'"
 msgstr "Student zurückgesetzt auf 'zugelassen'"
 
-#: waeup/sirp/students/workflow.py:59
+#: waeup/sirp/students/workflow.py:58
 msgid "Request clearance"
 msgstr "Beantrage Einschreibung"
 
-#: waeup/sirp/students/workflow.py:60
+#: waeup/sirp/students/workflow.py:59
 msgid "Clearance requested"
 msgstr "Einschreibung beantragt"
 
+#: waeup/sirp/students/workflow.py:65
+#: waeup/sirp/students/workflow.py:79
+msgid "Reset to clearance"
+msgstr "Setze zurück auf 'eingeschrieben'"
+
 #: waeup/sirp/students/workflow.py:66
 #: waeup/sirp/students/workflow.py:80
-msgid "Reset to clearance"
-msgstr "Setze zurück auf 'eingeschrieben'"
-
-#: waeup/sirp/students/workflow.py:67
-#: waeup/sirp/students/workflow.py:81
 msgid "Student record reset to 'clearance'"
 msgstr "Student zurückgesetzt auf 'Einschreibung begonnen'"
 
-#: waeup/sirp/students/workflow.py:73
+#: waeup/sirp/students/workflow.py:72
 msgid "Clear student"
 msgstr "Schreibe Student ein"
 
-#: waeup/sirp/students/workflow.py:74
+#: waeup/sirp/students/workflow.py:73
 msgid "Cleared"
 msgstr "eingeschrieben"
 
+#: waeup/sirp/students/workflow.py:86
+#: waeup/sirp/students/workflow.py:100
+msgid "Pay school fee"
+msgstr "Bezahle Gebühren"
+
 #: waeup/sirp/students/workflow.py:87
 #: waeup/sirp/students/workflow.py:101
-msgid "Pay school fee"
-msgstr "Bezahle Gebühren"
-
-#: waeup/sirp/students/workflow.py:88
-#: waeup/sirp/students/workflow.py:102
 msgid "School fee paid"
 msgstr "Gebühren bezahlt"
 
-#: waeup/sirp/students/workflow.py:94
+#: waeup/sirp/students/workflow.py:93
 msgid "Reset to cleared"
 msgstr "Setze zurück auf 'eingeschrieben'"
 
-#: waeup/sirp/students/workflow.py:95
+#: waeup/sirp/students/workflow.py:94
 msgid "Student record reset to 'cleared'"
 msgstr "Student zurückgesetzt auf 'eingeschrieben'"
 
 #. Default: "Name of faculty"
-#: waeup/sirp/university/interfaces.py:46
+#: waeup/sirp/university/interfaces.py:45
 msgid "name_of_faculty"
 msgstr "Name der Fakultät"
@@ -460,2 +867,13 @@
 msgstr "8. Studienjahr"
 
+#~ msgid "User account ${a} edited: ${b}"
+#~ msgstr "Benutzerkonto ${a} bearbeitet: ${b}"
+
+#~ msgid "3rd spillover"
+#~ msgstr "3. Nachholjahr"
+
+#~ msgid "1st spillover"
+#~ msgstr "1. Nachholjahr"
+
+#~ msgid "2nd spillover"
+#~ msgstr "2. Nachholjahr"