Index: main/waeup.sirp/trunk/src/waeup/sirp/locales/ha/LC_MESSAGES/waeup.sirp.po
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/locales/ha/LC_MESSAGES/waeup.sirp.po	(revision 7700)
+++ main/waeup.sirp/trunk/src/waeup/sirp/locales/ha/LC_MESSAGES/waeup.sirp.po	(revision 7705)
@@ -15,5 +15,5 @@
 msgstr ""
 "Project-Id-Version: WAeUP.SIRP\n"
-"POT-Creation-Date: Fri Feb 24 23:24:12 2012\n"
+"POT-Creation-Date: Sun Feb 26 17:19:06 2012\n"
 "PO-Revision-Date: 2012-02-22 11:28+0100\n"
 "Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
@@ -109,5 +109,5 @@
 msgstr ""
 
-#: waeup/sirp/applicants/workflow.py:41 waeup/sirp/interfaces.py:69
+#: waeup/sirp/applicants/workflow.py:41 waeup/sirp/interfaces.py:71
 msgid "admitted"
 msgstr ""
@@ -117,5 +117,5 @@
 msgstr ""
 
-#: waeup/sirp/applicants/workflow.py:43 waeup/sirp/interfaces.py:68
+#: waeup/sirp/applicants/workflow.py:43 waeup/sirp/interfaces.py:70
 msgid "created"
 msgstr ""
@@ -177,22 +177,25 @@
 msgstr ""
 
-#: waeup/sirp/browser/breadcrumbs.py:116 waeup/sirp/browser/viewlets.py:681
+#: waeup/sirp/browser/breadcrumbs.py:116 waeup/sirp/browser/viewlets.py:605
 msgid "Academics"
 msgstr ""
 
-#: waeup/sirp/browser/breadcrumbs.py:123 waeup/sirp/browser/pages.py:302
+#: waeup/sirp/browser/breadcrumbs.py:123 waeup/sirp/browser/pages.py:308
 msgid "Administration"
 msgstr ""
 
-#: waeup/sirp/browser/breadcrumbs.py:130
+#: waeup/sirp/browser/breadcrumbs.py:130 waeup/sirp/browser/viewlets.py:350
+#: waeup/sirp/browser/viewlets.py:656
 msgid "Portal Configuration"
 msgstr ""
 
-#: waeup/sirp/browser/breadcrumbs.py:148 waeup/sirp/browser/pages.py:379
+#: waeup/sirp/browser/breadcrumbs.py:148 waeup/sirp/browser/pages.py:385
+#: waeup/sirp/browser/viewlets.py:365 waeup/sirp/browser/viewlets.py:666
 msgid "Portal Users"
 msgstr ""
 
-#: waeup/sirp/browser/breadcrumbs.py:155 waeup/sirp/browser/pages.py:740
-#: waeup/sirp/browser/pages.py:1117
+#: waeup/sirp/browser/breadcrumbs.py:155 waeup/sirp/browser/pages.py:744
+#: waeup/sirp/browser/pages.py:1136 waeup/sirp/browser/viewlets.py:383
+#: waeup/sirp/browser/viewlets.py:675
 msgid "Data Center"
 msgstr ""
@@ -202,4 +205,8 @@
 msgstr ""
 
+#: waeup/sirp/browser/pages.py:1012
+msgid "Edit headers or replace imported file!"
+msgstr ""
+
 #. Default: ""
 #: waeup/sirp/browser/pages.py:103
@@ -207,16 +214,32 @@
 msgstr ""
 
-#. Default: ""
-#: waeup/sirp/browser/pages.py:1087
+#: waeup/sirp/browser/pages.py:1059
+msgid "View processing log"
+msgstr ""
+
+#: waeup/sirp/browser/pages.py:1060
+msgid "Back to data center"
+msgstr ""
+
+#. Default: ""
+#: waeup/sirp/browser/pages.py:1104
 msgid "Processing of ${a} rows failed."
 msgstr ""
 
 #. Default: ""
-#: waeup/sirp/browser/pages.py:1089
+#: waeup/sirp/browser/pages.py:1106
 msgid "Successfully processed ${a} rows."
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1097
+#: waeup/sirp/browser/pages.py:1114
 msgid "Show logfiles"
+msgstr ""
+
+#: waeup/sirp/browser/pages.py:1116
+msgid "Back to Data Center"
+msgstr ""
+
+#: waeup/sirp/browser/pages.py:1117
+msgid "Show"
 msgstr ""
 
@@ -225,66 +248,64 @@
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1139
+#: waeup/sirp/browser/pages.py:1158
 msgid "Edit data center settings"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1156
+#: waeup/sirp/browser/pages.py:1178
 msgid "File already existed (not copied):"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1158
+#: waeup/sirp/browser/pages.py:1180
 msgid "Given storage path cannot be used."
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1159
+#: waeup/sirp/browser/pages.py:1181
 msgid "Error:"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1162
+#: waeup/sirp/browser/pages.py:1184
 msgid "New storage path succefully set."
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1222
+#: waeup/sirp/browser/pages.py:1244
 msgid "Academic Section"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1234 waeup/sirp/browser/pages.py:1250
-#: waeup/sirp/browser/pages.py:1267 waeup/sirp/browser/pages.py:1271
+#: waeup/sirp/browser/pages.py:1256 waeup/sirp/browser/pages.py:1272
+#: waeup/sirp/browser/pages.py:1289 waeup/sirp/browser/pages.py:1293
 msgid "Add faculty"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1235
+#: waeup/sirp/browser/pages.py:1257
 msgid "Faculties"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1239
+#: waeup/sirp/browser/pages.py:1261 waeup/sirp/browser/viewlets.py:431
 msgid "Manage academic section"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1278
+#: waeup/sirp/browser/pages.py:1300
 msgid "The faculty code chosen already exists."
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1299 waeup/sirp/browser/pages.py:1309
+#: waeup/sirp/browser/pages.py:1321 waeup/sirp/browser/pages.py:1331
 msgid "Departments"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1311 waeup/sirp/browser/pages.py:1362
-#: waeup/sirp/browser/pages.py:1381 waeup/sirp/browser/pages.py:1385
+#: waeup/sirp/browser/pages.py:1333 waeup/sirp/browser/pages.py:1384
+#: waeup/sirp/browser/pages.py:1403 waeup/sirp/browser/pages.py:1407
 msgid "Add department"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1312 waeup/sirp/browser/pages.py:1371
-#: waeup/sirp/browser/pages.py:1481 waeup/sirp/browser/pages.py:1567
+#: waeup/sirp/browser/pages.py:1334 waeup/sirp/browser/pages.py:1393
+#: waeup/sirp/browser/pages.py:1503 waeup/sirp/browser/pages.py:1589
+#: waeup/sirp/browser/pages.py:1749 waeup/sirp/browser/pages.py:1806
 msgid "Remove selected local roles"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1313 waeup/sirp/browser/pages.py:1367
-#: waeup/sirp/browser/pages.py:1482 waeup/sirp/browser/pages.py:1563
+#: waeup/sirp/browser/pages.py:1335 waeup/sirp/browser/pages.py:1389
+#: waeup/sirp/browser/pages.py:1504 waeup/sirp/browser/pages.py:1585
+#: waeup/sirp/browser/pages.py:1750 waeup/sirp/browser/pages.py:1802
 msgid "Add local role"
-msgstr ""
-
-#: waeup/sirp/browser/pages.py:1319
-msgid "Manage faculty"
 msgstr ""
 
@@ -294,47 +315,54 @@
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1354
+#: waeup/sirp/browser/pages.py:1341 waeup/sirp/browser/viewlets.py:447
+msgid "Manage faculty"
+msgstr ""
+
+#: waeup/sirp/browser/pages.py:1376 waeup/sirp/browser/pages.py:1698
+#: waeup/sirp/browser/pages.py:1770 waeup/sirp/browser/pages.py:1882
 msgid "Form has been saved."
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1392
+#: waeup/sirp/browser/pages.py:1414
 msgid "The code chosen already exists in this faculty."
 msgstr ""
 
 #. Default: ""
-#: waeup/sirp/browser/pages.py:1395
+#: waeup/sirp/browser/pages.py:1417
 msgid "Department ${a} added."
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1412
+#: waeup/sirp/browser/pages.py:1434
 msgid "Courses and Certificates"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1442 waeup/sirp/browser/pages.py:1461
+#: waeup/sirp/browser/pages.py:1464 waeup/sirp/browser/pages.py:1483
 #: waeup/sirp/students/viewlets.py:466
 msgid "Students"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1478 waeup/sirp/browser/pages.py:1536
+#: waeup/sirp/browser/pages.py:1500 waeup/sirp/browser/pages.py:1558
 msgid "Remove selected courses"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1478 waeup/sirp/browser/pages.py:1548
+#: waeup/sirp/browser/pages.py:1500 waeup/sirp/browser/pages.py:1570
+#: waeup/sirp/browser/pages.py:1599 waeup/sirp/browser/pages.py:1603
 msgid "Add course"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1479 waeup/sirp/browser/pages.py:1542
+#: waeup/sirp/browser/pages.py:1501 waeup/sirp/browser/pages.py:1564
 msgid "Remove selected certificates"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1479 waeup/sirp/browser/pages.py:1553
+#: waeup/sirp/browser/pages.py:1501 waeup/sirp/browser/pages.py:1575
+#: waeup/sirp/browser/pages.py:1636 waeup/sirp/browser/pages.py:1640
 msgid "Add certificate"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:1488
+#: waeup/sirp/browser/pages.py:1510 waeup/sirp/browser/viewlets.py:454
 msgid "Manage department"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:152
+#: waeup/sirp/browser/pages.py:152 waeup/sirp/browser/viewlets.py:312
 #: waeup/sirp/browser/templates/staffsitelayout.pt:28
 #: waeup/sirp/browser/templates/studentsitelayout.pt:33
@@ -346,8 +374,59 @@
 msgstr ""
 
+#: waeup/sirp/browser/pages.py:1615
+msgid "A course with same code already exists: "
+msgstr ""
+
+#. Default: ""
+#: waeup/sirp/browser/pages.py:1621
+msgid "Course ${a} successfully created."
+msgstr ""
+
+#: waeup/sirp/browser/pages.py:1652
+msgid "A certificate with same code already exists: "
+msgstr ""
+
+#. Default: ""
+#: waeup/sirp/browser/pages.py:1658
+msgid "Certificate ${a} successfully created."
+msgstr ""
+
+#: waeup/sirp/browser/pages.py:1690 waeup/sirp/browser/viewlets.py:471
+msgid "Edit course"
+msgstr ""
+
+#: waeup/sirp/browser/pages.py:1740
+msgid "Edit certificate"
+msgstr ""
+
+#: waeup/sirp/browser/pages.py:1747 waeup/sirp/browser/pages.py:1778
+#: waeup/sirp/browser/pages.py:1819 waeup/sirp/browser/pages.py:1821
+msgid "Add course referrer"
+msgstr ""
+
+#: waeup/sirp/browser/pages.py:1748 waeup/sirp/browser/pages.py:1773
+msgid "Remove selected course referrers"
+msgstr ""
+
+#: waeup/sirp/browser/pages.py:1754 waeup/sirp/browser/viewlets.py:478
+msgid "Manage certificate"
+msgstr ""
+
 #: waeup/sirp/browser/pages.py:177
 msgid "You entered wrong credentials."
 msgstr ""
 
+#: waeup/sirp/browser/pages.py:1826
+msgid "The chosen course referrer is already part of this certificate."
+msgstr ""
+
+#: waeup/sirp/browser/pages.py:1867 waeup/sirp/browser/viewlets.py:495
+msgid "Edit course referrer"
+msgstr ""
+
+#: waeup/sirp/browser/pages.py:1870
+msgid "Save and return"
+msgstr ""
+
 #: waeup/sirp/browser/pages.py:191
 msgid "You have been logged out. Thanks for using WAeUP SIRP!"
@@ -359,10 +438,10 @@
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:233 waeup/sirp/browser/pages.py:510
+#: waeup/sirp/browser/pages.py:233 waeup/sirp/browser/pages.py:516
 msgid "Send message now"
 msgstr ""
 
 #: waeup/sirp/browser/pages.py:252 waeup/sirp/browser/pages.py:271
-#: waeup/sirp/browser/pages.py:527
+#: waeup/sirp/browser/pages.py:533
 msgid "Your message has been sent."
 msgstr ""
@@ -376,120 +455,137 @@
 msgstr ""
 
-#. Default: ""
-#: waeup/sirp/browser/pages.py:386
+#: waeup/sirp/browser/pages.py:298
+msgid "<h1>Welcome to WAeUP.SIRP</h1>"
+msgstr ""
+
+#. Default: ""
+#: waeup/sirp/browser/pages.py:392
 msgid "User account ${a} successfully deleted."
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:417 waeup/sirp/browser/pages.py:419
+#: waeup/sirp/browser/pages.py:423 waeup/sirp/browser/pages.py:425
+#: waeup/sirp/browser/viewlets.py:505
 msgid "Add user"
 msgstr ""
 
 #. Default: ""
-#: waeup/sirp/browser/pages.py:441
+#: waeup/sirp/browser/pages.py:447
 msgid "User account ${a} successfully added."
 msgstr ""
 
 #. Default: ""
-#: waeup/sirp/browser/pages.py:460
+#: waeup/sirp/browser/pages.py:466
 msgid "Edit user ${a}"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:467 waeup/sirp/browser/pages.py:621
-#: waeup/sirp/browser/pages.py:720 waeup/sirp/browser/pages.py:1310
-#: waeup/sirp/browser/pages.py:1477 waeup/sirp/browser/pages.py:1530
+#: waeup/sirp/browser/pages.py:473 waeup/sirp/browser/pages.py:627
+#: waeup/sirp/browser/pages.py:724 waeup/sirp/browser/pages.py:1160
+#: waeup/sirp/browser/pages.py:1332 waeup/sirp/browser/pages.py:1499
+#: waeup/sirp/browser/pages.py:1552 waeup/sirp/browser/pages.py:1695
+#: waeup/sirp/browser/pages.py:1746
 msgid "Save"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:491
+#: waeup/sirp/browser/pages.py:497
 msgid "User settings have been saved."
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:494 waeup/sirp/browser/pages.py:700
-#: waeup/sirp/browser/pages.py:727 waeup/sirp/browser/pages.py:1234
-#: waeup/sirp/browser/pages.py:1255 waeup/sirp/browser/pages.py:1282
-#: waeup/sirp/browser/pages.py:1310 waeup/sirp/browser/pages.py:1311
-#: waeup/sirp/browser/pages.py:1357 waeup/sirp/browser/pages.py:1398
-#: waeup/sirp/browser/pages.py:1477 waeup/sirp/browser/pages.py:1478
-#: waeup/sirp/browser/pages.py:1480 waeup/sirp/browser/pages.py:1558
+#: waeup/sirp/browser/pages.py:500 waeup/sirp/browser/pages.py:704
+#: waeup/sirp/browser/pages.py:731 waeup/sirp/browser/pages.py:754
+#: waeup/sirp/browser/pages.py:801 waeup/sirp/browser/pages.py:831
+#: waeup/sirp/browser/pages.py:951 waeup/sirp/browser/pages.py:1162
+#: waeup/sirp/browser/pages.py:1256 waeup/sirp/browser/pages.py:1277
+#: waeup/sirp/browser/pages.py:1304 waeup/sirp/browser/pages.py:1332
+#: waeup/sirp/browser/pages.py:1333 waeup/sirp/browser/pages.py:1379
+#: waeup/sirp/browser/pages.py:1420 waeup/sirp/browser/pages.py:1499
+#: waeup/sirp/browser/pages.py:1500 waeup/sirp/browser/pages.py:1502
+#: waeup/sirp/browser/pages.py:1580 waeup/sirp/browser/pages.py:1663
+#: waeup/sirp/browser/pages.py:1707 waeup/sirp/browser/pages.py:1746
+#: waeup/sirp/browser/pages.py:1748 waeup/sirp/browser/pages.py:1783
+#: waeup/sirp/browser/pages.py:1834 waeup/sirp/browser/pages.py:1886
 msgid "Cancel"
 msgstr ""
 
 #. Default: ""
-#: waeup/sirp/browser/pages.py:508
+#: waeup/sirp/browser/pages.py:514
 msgid "Send message to ${a}"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:537
+#: waeup/sirp/browser/pages.py:543 waeup/sirp/browser/viewlets.py:390
 msgid "My Preferences"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:550
+#: waeup/sirp/browser/pages.py:556 waeup/sirp/browser/viewlets.py:405
 msgid "My Roles"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:581
+#: waeup/sirp/browser/pages.py:587
 msgid "Search Academic Section"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:607
+#: waeup/sirp/browser/pages.py:613
 msgid "View portal configuration"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:620
+#: waeup/sirp/browser/pages.py:626
 msgid "Edit portal configuration"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:621 waeup/sirp/browser/pages.py:672
+#: waeup/sirp/browser/pages.py:627 waeup/sirp/browser/pages.py:676
 msgid "Update plugins"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:623 waeup/sirp/browser/pages.py:653
-#: waeup/sirp/browser/pages.py:684
+#: waeup/sirp/browser/pages.py:629 waeup/sirp/browser/pages.py:657
+#: waeup/sirp/browser/pages.py:688
 msgid "Add session configuration"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:624 waeup/sirp/browser/pages.py:667
-#: waeup/sirp/browser/pages.py:1234 waeup/sirp/browser/pages.py:1245
-#: waeup/sirp/browser/pages.py:1311 waeup/sirp/browser/pages.py:1346
+#: waeup/sirp/browser/pages.py:630 waeup/sirp/browser/pages.py:671
+#: waeup/sirp/browser/pages.py:1256 waeup/sirp/browser/pages.py:1267
+#: waeup/sirp/browser/pages.py:1333 waeup/sirp/browser/pages.py:1368
 msgid "Remove selected"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:650 waeup/sirp/browser/pages.py:723
+#: waeup/sirp/browser/pages.py:654 waeup/sirp/browser/pages.py:727
 msgid "Settings have been saved."
 msgstr ""
 
 #. Default: ""
-#: waeup/sirp/browser/pages.py:664
+#: waeup/sirp/browser/pages.py:668
 msgid "Session ${a} Configuration"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:675
+#: waeup/sirp/browser/pages.py:679
 msgid "Plugins were updated. See log file for details."
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:688
+#: waeup/sirp/browser/pages.py:692
 msgid "Add Session Configuration"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:695
+#: waeup/sirp/browser/pages.py:699
 msgid "The session chosen already exists."
 msgstr ""
 
 #. Default: ""
-#: waeup/sirp/browser/pages.py:717
+#: waeup/sirp/browser/pages.py:721
 msgid "Edit academic session ${a} configuration"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:747
+#: waeup/sirp/browser/pages.py:751
 msgid "Upload file"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:793 waeup/sirp/browser/pages.py:822
-#: waeup/sirp/browser/pages.py:939 waeup/sirp/browser/pages.py:1042
+#: waeup/sirp/browser/pages.py:753
+msgid "Upload"
+msgstr ""
+
+#: waeup/sirp/browser/pages.py:799 waeup/sirp/browser/pages.py:829
+#: waeup/sirp/browser/pages.py:949 waeup/sirp/browser/pages.py:1057
 msgid "Process CSV file"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:806 waeup/sirp/browser/pages.py:904
-#: waeup/sirp/browser/pages.py:1018
+#: waeup/sirp/browser/pages.py:813 waeup/sirp/browser/pages.py:914
+#: waeup/sirp/browser/pages.py:1033
 msgid "Import aborted."
 msgstr ""
@@ -499,18 +595,251 @@
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:883
+#: waeup/sirp/browser/pages.py:832
+msgid "Back to step 1"
+msgstr ""
+
+#: waeup/sirp/browser/pages.py:833
+msgid "Proceed to step 3"
+msgstr ""
+
+#: waeup/sirp/browser/pages.py:893
 msgid "Double headers: each column name may only appear once. "
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:891
+#: waeup/sirp/browser/pages.py:901
 msgid "Replace imported file!"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:916
+#: waeup/sirp/browser/pages.py:926
 msgid "Update mode only!"
 msgstr ""
 
-#: waeup/sirp/browser/pages.py:997
-msgid "Edit headers or replace imported file!"
+#: waeup/sirp/browser/pages.py:952 waeup/sirp/browser/pages.py:1161
+msgid "Reset"
+msgstr ""
+
+#: waeup/sirp/browser/pages.py:953
+msgid "Set headerfields"
+msgstr ""
+
+#: waeup/sirp/browser/pages.py:954
+msgid "Back to step 2"
+msgstr ""
+
+#: waeup/sirp/browser/pages.py:955
+msgid "Perform import"
+msgstr ""
+
+#: waeup/sirp/browser/templates/certificatecoursepage.pt:10
+msgid "Course Code:"
+msgstr ""
+
+#: waeup/sirp/browser/templates/certificatecoursepage.pt:14
+msgid "Course Title:"
+msgstr ""
+
+#: waeup/sirp/browser/templates/certificatecoursepage.pt:18
+msgid "Provided by:"
+msgstr ""
+
+#: waeup/sirp/browser/templates/certificatecoursepage.pt:26
+msgid "Level:"
+msgstr ""
+
+#: waeup/sirp/browser/templates/certificatecoursepage.pt:30
+msgid "Is mandatory course (not elective):"
+msgstr ""
+
+#: waeup/sirp/browser/templates/certificatecoursepage.pt:6
+msgid "Code:"
+msgstr ""
+
+#: waeup/sirp/browser/templates/certificatemanagepage.pt:106
+msgid "User Id"
+msgstr ""
+
+#: waeup/sirp/browser/templates/certificatemanagepage.pt:110
+msgid "Local Role"
+msgstr ""
+
+#: waeup/sirp/browser/templates/certificatemanagepage.pt:5
+msgid "Settings"
+msgstr ""
+
+#: waeup/sirp/browser/templates/certificatemanagepage.pt:7
+msgid "Local Roles"
+msgstr ""
+
+#: waeup/sirp/browser/templates/certificatepage.pt:22
+#: waeup/sirp/browser/templates/certificatemanagepage.pt:6
+#: waeup/sirp/browser/templates/certificatemanagepage.pt:44
+msgid "Course Referrers"
+msgstr ""
+
+#: waeup/sirp/browser/templates/certificatepage.pt:28
+#: waeup/sirp/browser/templates/certificatemanagepage.pt:48
+msgid "Level"
+msgstr ""
+
+#: waeup/sirp/browser/templates/certificatepage.pt:28
+#: waeup/sirp/browser/templates/certificatemanagepage.pt:49
+msgid "Semester"
+msgstr ""
+
+#: waeup/sirp/browser/templates/certificatepage.pt:29
+#: waeup/sirp/browser/templates/certificatemanagepage.pt:49
+msgid "Referrer"
+msgstr ""
+
+#: waeup/sirp/browser/templates/certificatepage.pt:29
+#: waeup/sirp/browser/templates/certificatemanagepage.pt:50
+msgid "Course"
+msgstr ""
+
+#: waeup/sirp/browser/templates/certificatepage.pt:30
+#: waeup/sirp/browser/templates/certificatemanagepage.pt:50
+msgid "Title"
+msgstr ""
+
+#: waeup/sirp/browser/templates/certificatepage.pt:30
+#: waeup/sirp/browser/templates/certificatemanagepage.pt:51
+msgid "Mandatory"
+msgstr ""
+
+#: waeup/sirp/browser/templates/configurationmanagepage.pt:5
+msgid "Site Settings"
+msgstr ""
+
+#: waeup/sirp/browser/templates/configurationmanagepage.pt:52
+#: waeup/sirp/browser/templates/certificatemanagepage.pt:108
+msgid "Name"
+msgstr ""
+
+#: waeup/sirp/browser/templates/configurationmanagepage.pt:8
+msgid "Session Configurations"
+msgstr ""
+
+#: waeup/sirp/browser/templates/datacenterimport1page.pt:1
+msgid "Step 1"
+msgstr ""
+
+#: waeup/sirp/browser/templates/datacenterimport1page.pt:13
+msgid "Filename"
+msgstr ""
+
+#: waeup/sirp/browser/templates/datacenterimport1page.pt:14
+msgid "Datasets"
+msgstr ""
+
+#: waeup/sirp/browser/templates/datacenterimport1page.pt:2
+msgid ""
+"Using batch processing you can mass-create, mass-update, or mass-remove "
+"datasets from the database using CSV files."
+msgstr ""
+
+#: waeup/sirp/browser/templates/datacenterimport1page.pt:21
+msgid "Select"
+msgstr ""
+
+#: waeup/sirp/browser/templates/datacenterimport1page.pt:6
+msgid "Please select a file for processing from the list below."
+msgstr ""
+
+#: waeup/sirp/browser/templates/datacenterimport2page.pt:1
+msgid "Step 2"
+msgstr ""
+
+#: waeup/sirp/browser/templates/datacenterimport2page.pt:43
+msgid "Mode:"
+msgstr ""
+
+#: waeup/sirp/browser/templates/datacenterimport2page.pt:8
+msgid ""
+"Please select a file-processor and a processing-mode from the selections "
+"below."
+msgstr ""
+
+#: waeup/sirp/browser/templates/datacenterimport3page.pt:1
+msgid "Header fields OK"
+msgstr ""
+
+#: waeup/sirp/browser/templates/datacenterimport3page.pt:12
+#: waeup/sirp/browser/templates/datacenterimport4page.pt:6
+#: waeup/sirp/browser/templates/datacenterimport2page.pt:4
+msgid "File:"
+msgstr ""
+
+#: waeup/sirp/browser/templates/datacenterimport3page.pt:18
+#: waeup/sirp/browser/templates/datacenterimport4page.pt:9
+#: waeup/sirp/browser/templates/datacenterimport2page.pt:32
+msgid "Processor:"
+msgstr ""
+
+#: waeup/sirp/browser/templates/datacenterimport3page.pt:24
+#: waeup/sirp/browser/templates/datacenterimport4page.pt:13
+msgid "Processing mode:"
+msgstr ""
+
+#: waeup/sirp/browser/templates/datacenterimport3page.pt:44
+msgid "change to:"
+msgstr ""
+
+#: waeup/sirp/browser/templates/datacenterimport3page.pt:6
+msgid "Step 3"
+msgstr ""
+
+#: waeup/sirp/browser/templates/datacenterimport3page.pt:8
+msgid "Eventually modify headerfields of import file below."
+msgstr ""
+
+#: waeup/sirp/browser/templates/datacenterimport4page.pt:1
+msgid "Step 4"
+msgstr ""
+
+#: waeup/sirp/browser/templates/datacenterimport4page.pt:2
+msgid "Batch processing finished."
+msgstr ""
+
+#: waeup/sirp/browser/templates/datacenterlogspage.pt:10
+#: waeup/sirp/browser/templates/datacenterpage.pt:14
+msgid "File"
+msgstr ""
+
+#: waeup/sirp/browser/templates/datacenterlogspage.pt:12
+#: waeup/sirp/browser/templates/datacenterimport1page.pt:16
+msgid "Date"
+msgstr ""
+
+#: waeup/sirp/browser/templates/datacenterlogspage.pt:14
+#: waeup/sirp/browser/templates/datacenterpage.pt:15
+#: waeup/sirp/browser/templates/datacenterimport1page.pt:15
+msgid "Size"
+msgstr ""
+
+#: waeup/sirp/browser/templates/datacenterlogspage.pt:2
+msgid "Currently no log files are available."
+msgstr ""
+
+#: waeup/sirp/browser/templates/datacentermanagepage.pt:12
+msgid "Overwrite contents in new location?"
+msgstr ""
+
+#: waeup/sirp/browser/templates/datacentermanagepage.pt:3
+#: waeup/sirp/browser/templates/datacenterpage.pt:7
+msgid "Storage path:"
+msgstr ""
+
+#: waeup/sirp/browser/templates/datacentermanagepage.pt:7
+msgid "Copy existing data to new storage?"
+msgstr ""
+
+#: waeup/sirp/browser/templates/datacenterpage.pt:1
+msgid ""
+"The data center helps you to manage portal data. You can upload CSV files "
+"here, which will be available for import afterwards."
+msgstr ""
+
+#: waeup/sirp/browser/templates/datacenterpage.pt:16
+msgid "Uploaded"
 msgstr ""
 
@@ -554,6 +883,50 @@
 msgstr ""
 
-#: waeup/sirp/browser/viewlets.py:696
+#: waeup/sirp/browser/viewlets.py:167
+msgid "Add"
+msgstr ""
+
+#: waeup/sirp/browser/viewlets.py:177
+msgid "Remove"
+msgstr ""
+
+#: waeup/sirp/browser/viewlets.py:187
+msgid "Search"
+msgstr ""
+
+#: waeup/sirp/browser/viewlets.py:373
+msgid "Send email"
+msgstr ""
+
+#: waeup/sirp/browser/viewlets.py:424
+msgid "Edit settings"
+msgstr ""
+
+#: waeup/sirp/browser/viewlets.py:438
+msgid "Search academic section"
+msgstr ""
+
+#: waeup/sirp/browser/viewlets.py:463 waeup/sirp/browser/viewlets.py:487
+msgid "Show students"
+msgstr ""
+
+#: waeup/sirp/browser/viewlets.py:518 waeup/sirp/browser/viewlets.py:526
+msgid "Show batch logs"
+msgstr ""
+
+#: waeup/sirp/browser/viewlets.py:538
+msgid "Batch processing"
+msgstr ""
+
+#: waeup/sirp/browser/viewlets.py:547
+msgid "Upload CSV file"
+msgstr ""
+
+#: waeup/sirp/browser/viewlets.py:620
 msgid "Enquiries"
+msgstr ""
+
+#: waeup/sirp/browser/viewlets.py:88 waeup/sirp/browser/viewlets.py:157
+msgid "Edit"
 msgstr ""
 
@@ -562,29 +935,29 @@
 msgstr ""
 
-#: waeup/sirp/interfaces.py:70
+#: waeup/sirp/interfaces.py:72
 msgid "clearance started"
 msgstr ""
 
-#: waeup/sirp/interfaces.py:71
+#: waeup/sirp/interfaces.py:73
 msgid "clearance requested"
 msgstr ""
 
-#: waeup/sirp/interfaces.py:72
+#: waeup/sirp/interfaces.py:74
 msgid "cleared"
 msgstr ""
 
-#: waeup/sirp/interfaces.py:73
+#: waeup/sirp/interfaces.py:75
 msgid "school fee paid"
 msgstr ""
 
-#: waeup/sirp/interfaces.py:74
+#: waeup/sirp/interfaces.py:76
 msgid "returning"
 msgstr ""
 
-#: waeup/sirp/interfaces.py:75
+#: waeup/sirp/interfaces.py:77
 msgid "courses registered"
 msgstr ""
 
-#: waeup/sirp/interfaces.py:76
+#: waeup/sirp/interfaces.py:78
 msgid "courses validated"
 msgstr ""