Index: /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/departmentmanagepage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/departmentmanagepage.pt	(revision 7705)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/departmentmanagepage.pt	(revision 7706)
@@ -1,17 +1,18 @@
-<form action="." tal:attributes="action request/URL" method="POST" enctype="multipart/form-data">
+<form action="." tal:attributes="action request/URL" method="POST"
+  i18n:domain="waeup.sirp" enctype="multipart/form-data">
   <ul class="tabs" data-tabs="tabs">
     <li tal:attributes="class view/tab1">
     <a href="#tab-1">
-      <span>Settings
+      <span i18n:translate="">Settings
       </span></a>
     </li>
     <li tal:attributes="class view/tab2">
-    <a href="#tab-2">Courses</a>
+    <a href="#tab-2" i18n:translate="">Courses</a>
     </li>
     <li tal:attributes="class view/tab3">
-    <a href="#tab-3">Certificates</a>
+    <a href="#tab-3" i18n:translate="">Certificates</a>
     </li>
     <li tal:attributes="class view/tab4">
-    <a href="#tab-4">Local Roles</a>
+    <a href="#tab-4" i18n:translate="">Local Roles</a>
     </li>
   </ul>
@@ -46,5 +47,6 @@
       <div tal:condition="view/availableActions">
         <span tal:repeat="action view/actions" tal:omit-tag="">
-          <input tal:condition="python:action.label in view.taboneactions" tal:replace="structure action/render"/>
+          <input tal:condition="python:action.label in view.taboneactions"
+            tal:replace="structure action/render"/>
         </span>
       </div>
@@ -56,7 +58,7 @@
             <th>&nbsp;
             </th>
-            <th>Code
+            <th i18n:translate="">Code
             </th>
-            <th>Title
+            <th i18n:translate="">Title
             </th>
           </tr>
@@ -64,6 +66,8 @@
         <tbody>
           <tr tal:repeat="entry view/getCourses" class="gradeC"> <td>
-              <input type="checkbox" name="val_id" tal:attributes="value entry/name" /> </td> <td>
-              <a href="" tal:attributes="href entry/url" tal:content="entry/name">Name</a> </td>
+              <input type="checkbox" name="val_id"
+                tal:attributes="value entry/name" /> </td> <td>
+              <a href="" tal:attributes="href entry/url"
+                tal:content="entry/name">Name</a> </td>
             <td tal:content="entry/container/title"> Title </td>
           </tr>
@@ -72,5 +76,6 @@
       <div tal:condition="view/availableActions">
         <span tal:repeat="action view/actions" tal:omit-tag="">
-          <input tal:condition="python:action.label in view.tabtwoactions" tal:replace="structure action/render"/>
+          <input tal:condition="python:action.label in view.tabtwoactions"
+            tal:replace="structure action/render"/>
         </span>
       </div>
@@ -82,7 +87,7 @@
             <th>&nbsp;
             </th>
-            <th>Code
+            <th i18n:translate="">Code
             </th>
-            <th>Title
+            <th i18n:translate="">Title
             </th>
           </tr>
@@ -90,6 +95,8 @@
         <tbody>
           <tr tal:repeat="entry view/getCertificates" class="gradeC"> <td>
-              <input type="checkbox" name="val_id" tal:attributes="value entry/name" /> </td> <td>
-              <a href="" tal:attributes="href entry/url" tal:content="entry/name">Name</a> </td>
+              <input type="checkbox" name="val_id"
+                tal:attributes="value entry/name" /> </td> <td>
+              <a href="" tal:attributes="href entry/url"
+                tal:content="entry/name">Name</a> </td>
             <td tal:content="entry/container/title"> Title  </td>
           </tr>
@@ -98,5 +105,6 @@
       <div tal:condition="view/availableActions">
         <span tal:repeat="action view/actions" tal:omit-tag="">
-          <input tal:condition="python:action.label in view.tabthreeactions" tal:replace="structure action/render"/>
+          <input tal:condition="python:action.label in view.tabthreeactions"
+            tal:replace="structure action/render"/>
         </span>
       </div>
@@ -108,15 +116,16 @@
             <th>&nbsp;
             </th>
-            <th>User Id
+            <th i18n:translate="">User Id
             </th>
-            <th>Name
+            <th i18n:translate="">Name
             </th>
-            <th>Local Role
+            <th i18n:translate="">Local Role
             </th>
           </tr>
         </thead>
         <tbody>
-          <tr tal:repeat="entry view/getUsersWithLocalRoles" class="gradeC"> <td>
-              <input type="checkbox" name="role_id" tal:attributes="value python: entry['user_name']+'|'+entry['local_role']" /> </td>
+          <tr tal:repeat="entry view/getUsersWithLocalRoles" class="gradeC">
+            <td> <input type="checkbox" name="role_id"
+                tal:attributes="value python: entry['user_name']+'|'+entry['local_role']" /> </td>
             <td tal:content="entry/user_name"> USERNAME </td>
             <td tal:content="entry/user_title"> USERTITLE </td>
@@ -127,5 +136,6 @@
       <div tal:condition="view/availableActions">
         <span tal:repeat="action view/actions" tal:omit-tag="">
-          <input tal:condition="python:action.label in view.tabfouractions1" tal:replace="structure action/render"/>
+          <input tal:condition="python:action.label in view.tabfouractions1"
+            tal:replace="structure action/render"/>
         </span>
       </div> <br /><br />
@@ -139,5 +149,6 @@
             </select> </td> <td>
             <select id="local_role" name="local_role">
-              <option tal:attributes="value localrole/name" tal:repeat="localrole view/getLocalRoles">
+              <option tal:attributes="value localrole/name"
+                tal:repeat="localrole view/getLocalRoles">
               <span tal:replace="localrole/title">LOCALROLETITLE
               </span>
@@ -146,5 +157,6 @@
             <div tal:condition="view/availableActions">
               <span tal:repeat="action view/actions" tal:omit-tag="">
-                <input tal:condition="python:action.label in view.tabfouractions2" tal:replace="structure action/render"/>
+                <input tal:condition="python:action.label in view.tabfouractions2"
+                  tal:replace="structure action/render"/>
               </span>
             </div> </td>
Index: /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/departmentpage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/departmentpage.pt	(revision 7705)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/departmentpage.pt	(revision 7706)
@@ -1,7 +1,11 @@
-<ul class="tabs" data-tabs="tabs">
-  <li class="active"><a href="#tab-1"><span>Courses</span></a></li>
-  <li><a href="#tab-2"><span>Certificates</span></a></li>
+<ul  i18n:domain="waeup.sirp" class="tabs" data-tabs="tabs">
+  <li class="active"><a href="#tab-1">
+   <span i18n:translate="">Courses</span></a>
+  </li>
+  <li><a href="#tab-2">
+    <span i18n:translate="">Certificates</span></a>
+  </li>
 </ul>
-<div class="tab-content">
+<div  i18n:domain="waeup.sirp" class="tab-content">
     <div id="tab-1" class="active">
     <br /> 
@@ -9,5 +13,6 @@
       <thead>
         <tr>
-          <th>Code</th><th>Title</th>
+          <th i18n:translate="">Code</th>
+          <th i18n:translate="">Title</th>
         </tr>
       </thead>
@@ -32,5 +37,6 @@
       <thead>
         <tr>
-          <th>Code</th><th>Title</th>
+          <th i18n:translate="">Code</th>
+          <th i18n:translate="">Title</th>
         </tr>
       </thead>